#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3fdb10e, "__pci_register_driver" },
	{ 0xff1556e9, "adf_gen4_enable_error_correction" },
	{ 0xae4a1555, "adf_gen4_init_device" },
	{ 0xb99e92ec, "adf_sysfs_init" },
	{ 0xe327f1f1, "adf_gen4_init_dc_ops" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0x7889b18d, "pci_unregister_driver" },
	{ 0x16531d71, "adf_gen4_get_ring_to_svc_map" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79805991, "adf_gen4_get_misc_bar_id" },
	{ 0xa3d31a5, "adf_gen4_get_sram_bar_id" },
	{ 0x103082d5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3346467f, "adf_init_admin_comms" },
	{ 0xc83430a7, "adf_dev_down" },
	{ 0x92997ed8, "_printk" },
	{ 0x4347aac8, "adf_dbgfs_init" },
	{ 0xba25d73c, "adf_send_admin_init" },
	{ 0x7ac13dd2, "adf_sriov_configure" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f76efc2, "adf_gen4_get_etr_bar_id" },
	{ 0xdafe9bdd, "pci_select_bars" },
	{ 0xc850ca0b, "adf_gen4_init_pf_pfvf_ops" },
	{ 0xb3f2b961, "adf_devmgr_add_dev" },
	{ 0x8643c811, "adf_isr_resource_free" },
	{ 0xc8782bf7, "adf_reset_flr" },
	{ 0x13fba4b8, "adf_gen4_get_num_accels" },
	{ 0x231ea21, "adf_gen4_timer_start" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x8c5e89fd, "adf_gen4_timer_stop" },
	{ 0x9b4c986, "pcim_iomap_regions_request_all" },
	{ 0x48e1b266, "adf_disable_sriov" },
	{ 0x31ca9efa, "adf_cfg_dev_remove" },
	{ 0x2355abbf, "adf_gen4_handle_pm_interrupt" },
	{ 0x9f1f6870, "adf_gen4_get_heartbeat_clock" },
	{ 0x3b3fc607, "adf_gen4_get_sku" },
	{ 0x830964c1, "adf_gen4_set_ssm_wdtimer" },
	{ 0xc41a4fbe, "adf_gen4_dev_config" },
	{ 0x15898153, "adf_dev_up" },
	{ 0xe857c9d6, "adf_isr_resource_alloc" },
	{ 0xb2cfc15e, "adf_cfg_dev_add" },
	{ 0x7734e433, "_dev_warn" },
	{ 0xd6446d6e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa7639085, "adf_gen4_set_msix_default_rttable" },
	{ 0x9826fbea, "dma_set_coherent_mask" },
	{ 0xa92cbc5f, "adf_gen4_ring_pair_reset" },
	{ 0x2a57537d, "adf_init_arb" },
	{ 0xcee52e4a, "adf_devmgr_rm_dev" },
	{ 0xc501ac82, "adf_gen4_init_hw_csr_ops" },
	{ 0xe91f28b4, "adf_gen4_cfg_dev_init" },
	{ 0x2230d349, "adf_gen4_get_admin_info" },
	{ 0xba41a347, "adf_gen4_get_accel_mask" },
	{ 0x5b20e357, "dma_set_mask" },
	{ 0x6fbb86d5, "pcim_iomap_table" },
	{ 0xed7ecbaf, "adf_gen4_enable_pm" },
	{ 0xcc452236, "pci_read_config_byte" },
	{ 0x4c051dc4, "adf_gen4_get_arb_info" },
	{ 0x7385c9f7, "pcim_enable_device" },
	{ 0x7048e7b6, "adf_get_service_enabled" },
	{ 0x6c9f5e4f, "adf_dbgfs_exit" },
	{ 0x217a85b, "pci_save_state" },
	{ 0x5479d730, "adf_gen4_init_ras_ops" },
	{ 0xadfa8087, "adf_gen4_init_thd2arb_map" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xdfd33ed1, "adf_exit_arb" },
	{ 0xe2c32138, "adf_gen4_init_tl_data" },
	{ 0x8a2b78f, "adf_exit_admin_comms" },
	{ 0xaf4669c9, "adf_gen4_get_num_aes" },
	{ 0xb60519a, "adf_devmgr_pci_to_accel_dev" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x58ab3b0b, "adf_gen4_enable_ints" },
	{ 0x560bc0a8, "adf_err_handler" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "intel_qat");

MODULE_ALIAS("pci:v00008086d00004940sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004942sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004944sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5CBF6B497BB226427023691");
