#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x8fb622a1, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x6afee4f1, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x38999c43, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xef42c533, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x5d7ed941, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0xa4840cdc, "");
SYMBOL_CRC(dfl_driver_unregister, 0xc6de02eb, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x7dda2e86, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xf5f207de, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xb63181fd, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x56360271, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xb08625d3, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x0dd6323e, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x51485732, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0xdbfc4beb, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x289e854e, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xf01fdb59, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0xac7fe5e2, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0xb5bc8ac2, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0xe6e2db2c, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xb06cf38d, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x33195a27, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xe7d85077, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xd157905e, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xb7096305, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x8cff0fdc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcd7cce5e, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb27a4b9f, "module_put" },
	{  0xe3731, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xca89b21d, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x1a71caa7, "cdev_init" },
	{ 0xda9fc1c7, "cdev_add" },
	{ 0x7ec4b714, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x241aaa6a, "get_device" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0x5559cefc, "put_device" },
	{ 0xf267b973, "devm_kfree" },
	{ 0x713537bd, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5f77472d, "__devm_request_region" },
	{ 0xf20463a, "devm_ioremap" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4f9ba15d, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x8a0527ac, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1ccfe4aa, "device_unregister" },
	{ 0x4f66cdb5, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xdbde0e8c, "device_initialize" },
	{ 0xd47039c3, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x30214ad, "device_add" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xab58fb21, "platform_device_del" },
	{ 0x6f5dcbd9, "platform_device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf7892c64, "platform_device_put" },
	{ 0x8967fa6a, "device_for_each_child" },
	{ 0xbe1a4861, "fpga_region_unregister" },
	{ 0x86f0870c, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaf5b64f6, "devm_ioremap_resource" },
	{ 0xd7405c92, "__fpga_region_register" },
	{ 0x84beb1f6, "devm_iounmap" },
	{ 0x5995dca6, "__devm_release_region" },
	{ 0xee638604, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "9A3F8476C3FFC9470016272");
