#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35fbb57, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x9bc1cada, "drm_crtc_cleanup" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x51b225e7, "pci_set_power_state" },
	{ 0xa2fc574e, "drm_gem_object_init" },
	{ 0x8ed85c06, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1894edd8, "drm_modeset_acquire_init" },
	{ 0xa57b8e64, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7889b18d, "pci_unregister_driver" },
	{ 0x6edbae91, "ttm_eu_reserve_buffers" },
	{ 0x68dbbbe7, "ttm_resource_manager_evict_all" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x285f8148, "ttm_bo_pin" },
	{ 0xe74fa027, "drm_add_modes_noedid" },
	{ 0xe4180a2f, "drm_gem_object_lookup" },
	{ 0xfb5f22d9, "drm_gem_ttm_mmap" },
	{ 0x3adc737e, "drm_connector_attach_encoder" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3bebf75, "drm_atomic_helper_commit" },
	{ 0x518e5c65, "drm_atomic_helper_check" },
	{ 0xad125daa, "drm_atomic_helper_connector_destroy_state" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0x765f0dc0, "drm_atomic_helper_plane_duplicate_state" },
	{ 0x47af1696, "drm_gem_mmap" },
	{ 0x4b050ad6, "drm_ioctl" },
	{ 0xd4eebd4b, "drm_plane_cleanup" },
	{ 0x62c3ae67, "ttm_bo_vunmap" },
	{ 0x53eb006b, "ttm_eu_backoff_reservation" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f970a63, "drm_connector_init" },
	{ 0xe3b3d8be, "drm_debugfs_create_files" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x565d1924, "drm_modeset_lock_all_ctx" },
	{ 0x864b9766, "ttm_resource_manager_create_debugfs" },
	{ 0x46f67b45, "drm_mode_config_helper_suspend" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9fbc63d2, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x5f7d0cf, "drm_read" },
	{ 0x51e2cd6c, "drm_gem_object_release" },
	{ 0x954f099c, "idr_preload" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc2ec833b, "ttm_tt_init" },
	{ 0xf7723114, "drm_gem_handle_create" },
	{ 0xe82adf4b, "drm_atomic_helper_plane_reset" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xff7f4b2f, "drm_crtc_init_with_planes" },
	{ 0x9039634e, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3d83ea2f, "drm_dev_unregister" },
	{ 0xd2b1ae6d, "pci_restore_state" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3b128425, "__devm_drm_dev_alloc" },
	{ 0xfb578fc5, "memset" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x920e80a3, "drm_gem_fb_create_with_funcs" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64f907c3, "drm_atomic_helper_set_config" },
	{ 0x71c695d3, "ttm_bo_unpin" },
	{ 0x35b48154, "drm_fbdev_generic_setup" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xab8ecf59, "ttm_bo_init_reserved" },
	{ 0x5899af0c, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xa1a88dbd, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x526e2e54, "vga_put" },
	{ 0xa19c82a2, "drm_universal_plane_init" },
	{ 0x77f5ba86, "pv_ops" },
	{ 0xf82da47, "drm_atomic_helper_crtc_reset" },
	{ 0xa0f74b0c, "drm_object_property_set_value" },
	{ 0x46864429, "drm_modeset_acquire_fini" },
	{ 0x89065ce, "drm_simple_encoder_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x25783505, "drm_kms_helper_hotplug_event" },
	{ 0xa91fe363, "dma_resv_iter_next_unlocked" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x57e9cfeb, "drm_helper_probe_single_connector_modes" },
	{ 0xe9d8fa44, "drm_modeset_backoff" },
	{ 0x5e1143ba, "__tracepoint_dma_fence_emit" },
	{ 0x40d802a7, "ttm_device_init" },
	{ 0x7bf47d57, "drm_cvt_mode" },
	{ 0x1b392b79, "drm_plane_helper_destroy" },
	{ 0x4bad7c52, "drm_property_create_range" },
	{ 0x808a1d05, "dma_resv_iter_first_unlocked" },
	{ 0xe6d90449, "ttm_bo_validate" },
	{ 0xc11b587a, "pci_disable_device" },
	{ 0x50777ab1, "drm_atomic_helper_page_flip" },
	{ 0x2be235ee, "drm_set_preferred_mode" },
	{ 0x3a8aee56, "drm_gem_ttm_dumb_map_offset" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x22b55b2e, "ttm_bo_move_to_lru_tail" },
	{ 0x6de9dc24, "drm_gem_fb_create_handle" },
	{ 0xa796679d, "__SCT__tp_func_dma_fence_emit" },
	{ 0x7587a1c0, "drm_atomic_helper_connector_reset" },
	{ 0x7eed6349, "drm_mode_config_reset" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x564884cb, "vga_get" },
	{ 0x9e862a2a, "drm_modeset_drop_locks" },
	{ 0x62ca2a7, "dma_resv_test_signaled" },
	{ 0x29fcddad, "__SCK__tp_func_dma_fence_emit" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc2b7d51, "drm_mode_config_helper_resume" },
	{ 0xe807ef7d, "ttm_bo_put" },
	{ 0xd9e608e5, "ttm_bo_vmap" },
	{ 0x386d791d, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6dba4084, "ttm_resource_free" },
	{ 0xd5386503, "ttm_bo_move_memcpy" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x170924a, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2bdda2ef, "ttm_bo_wait_ctx" },
	{ 0x23c2aeab, "drm_atomic_helper_update_plane" },
	{ 0xd9243cdf, "drm_compat_ioctl" },
	{ 0x6d2ac4be, "drm_dev_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3e025c70, "ttm_tt_fini" },
	{ 0x19a191e9, "ttm_device_fini" },
	{ 0xf6be1523, "drm_gem_plane_helper_prepare_fb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa208c0e3, "ttm_bo_eviction_valuable" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x17a4f8f9, "drm_gem_ttm_print_info" },
	{ 0xa423f0, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xcb1bb265, "ttm_range_man_init_nocheck" },
	{ 0x4c086153, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x8c1eb09a, "drm_atomic_helper_plane_destroy_state" },
	{ 0x217a85b, "pci_save_state" },
	{ 0xde311481, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x8dc4f367, "drm_open" },
	{ 0xbc231038, "drm_poll" },
	{ 0xe2b521d5, "ww_mutex_lock_interruptible" },
	{ 0x20978fb9, "idr_find" },
	{ 0x65a7ab43, "dma_resv_reserve_fences" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcdb16cba, "pci_enable_device" },
	{ 0xbae01be7, "drm_kms_helper_poll_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d045370, "drm_mode_probed_add" },
	{ 0xdc996168, "drm_atomic_helper_disable_plane" },
	{ 0xd065dbcd, "dma_resv_wait_timeout" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x77ee66df, "drm_atomic_helper_shutdown" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xf3fdb10e, "__pci_register_driver" },
	{ 0x265fbfa5, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x438796a7, "dma_resv_add_fence" },
	{ 0x364187a5, "drm_helper_hpd_irq_event" },
	{ 0x937e20c0, "drm_mode_create_suggested_offset_properties" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f7e0605, "ttm_range_man_fini_nocheck" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");

MODULE_ALIAS("pci:v00001B36d00000100sv*sd*bc03sc00i*");
MODULE_ALIAS("pci:v00001B36d00000100sv*sd*bc03sc80i*");

MODULE_INFO(srcversion, "2ABF19135671F559B696622");
