#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x307b280b, "iscsi_create_endpoint" },
	{ 0x34a5eb64, "ib_dereg_mr_user" },
	{ 0x4825d9d5, "iscsi_suspend_queue" },
	{ 0x8c7b4a91, "iscsi_eh_cmd_timed_out" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xedc85cd5, "kmem_cache_create" },
	{ 0xd00a19ff, "ib_query_qp" },
	{ 0x7bee743c, "iscsi_conn_failure" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x64457014, "iscsi_complete_pdu" },
	{ 0xdbec56c2, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdff253cd, "dev_driver_string" },
	{ 0x69ab9399, "iscsi_prep_data_out_pdu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf757b7d2, "iscsi_eh_device_reset" },
	{ 0x84237d8f, "iscsi_register_transport" },
	{ 0x666710a3, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcdf9a25b, "__rdma_create_kernel_id" },
	{ 0x7bc9b6dd, "ib_register_event_handler" },
	{ 0x7485d455, "kmem_cache_alloc" },
	{ 0xd72aefb6, "rdma_resolve_route" },
	{ 0xd34b2f14, "ib_unregister_event_handler" },
	{ 0xa407fc82, "iscsi_set_param" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6e639c70, "rdma_create_qp" },
	{ 0x1097b7c0, "ib_map_mr_sg" },
	{ 0x76da604d, "ib_alloc_mr_integrity" },
	{ 0xdc66912, "init_net" },
	{ 0xd2e376a8, "ib_cq_pool_put" },
	{ 0xf14a8cad, "iscsi_destroy_endpoint" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdd37c7df, "kmem_cache_free" },
	{ 0x1da1b376, "iscsi_conn_get_param" },
	{ 0x9e67f05f, "iscsi_host_free" },
	{ 0x9fc738e4, "iscsi_put_task" },
	{ 0xcc6d86e0, "iscsi_conn_teardown" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xc5dbc1bc, "iscsi_host_set_param" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x331badae, "iscsi_session_get_param" },
	{ 0xca595edc, "iscsi_conn_send_pdu" },
	{ 0x7cdd94d5, "rdma_destroy_qp" },
	{ 0x4766031c, "ib_check_mr_status" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x672ca838, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf1c1e1c1, "iscsi_conn_unbind" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x374d5d92, "dma_sync_single_for_cpu" },
	{ 0x1bbab753, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe901bfac, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5a7569ef, "ib_cq_pool_get" },
	{ 0xb384411f, "rdma_connect_locked" },
	{ 0x5eb69c53, "iscsi_itt_to_ctask" },
	{ 0xb063d945, "iscsi_lookup_endpoint" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x26f269e5, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbf7100e8, "iscsi_host_add" },
	{ 0xa8d03328, "ib_dma_virt_map_sg" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x981d409, "param_ops_bool" },
	{ 0xbefae8a2, "rdma_destroy_id" },
	{ 0xaa4fd7bf, "iscsi_session_teardown" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x426e7cc, "iscsi_unregister_transport" },
	{ 0x3374570e, "iscsi_eh_recover_target" },
	{ 0x56470118, "__warn_printk" },
	{ 0x779b31a9, "iscsi_conn_stop" },
	{ 0xe3be0246, "iscsi_queuecommand" },
	{ 0x7633428a, "ib_drain_qp" },
	{ 0x2ee55c4f, "ib_dealloc_pd_user" },
	{ 0x626196ed, "dma_unmap_sg_attrs" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x386d791d, "param_ops_int" },
	{ 0xc395771e, "iscsi_host_remove" },
	{ 0x6814a088, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0xab4216f3, "kmem_cache_destroy" },
	{ 0xb1ae82dd, "dma_map_sg_attrs" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfc11cb0f, "iscsi_conn_setup" },
	{ 0xd1083232, "iscsi_session_recovery_timedout" },
	{ 0xe405b935, "rdma_reject_msg" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f5ca74b, "iscsi_put_endpoint" },
	{ 0x79abf00c, "iscsi_target_alloc" },
	{ 0xf3d97e83, "iscsi_conn_bind" },
	{ 0xa8924fdf, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe708390e, "iscsi_host_get_param" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0x97ec03f8, "iscsi_session_setup" },
	{ 0x5fd542ca, "rdma_resolve_addr" },
	{ 0xca122d55, "dma_sync_single_for_device" },
	{ 0x90559efc, "ib_map_mr_sg_pi" },
	{ 0x8b214cc0, "param_set_uint" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcfb2009d, "iscsi_eh_abort" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,ib_core,libiscsi,rdma_cm,scsi_mod");


MODULE_INFO(srcversion, "A5CE640984986BAA0EB2117");
