#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd16263ba, "regulator_bulk_disable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb90ac5d0, "v4l2_subdev_link_validate_default" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x16cd6dac, "v4l2_get_link_freq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x5363b070, "regmap_bulk_read" },
	{ 0xe42ebc87, "regmap_bulk_write" },
	{ 0x3af5276d, "gpiod_set_value" },
	{ 0x81bbfc36, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0x24c2b84c, "__devm_regmap_init_i2c" },
	{ 0x16ff133d, "devm_clk_get" },
	{ 0x45494f59, "dev_err_probe" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xccd6e963, "devm_regulator_bulk_get" },
	{ 0xee4af13, "devm_gpiod_get_optional" },
	{ 0xfe3a0aea, "v4l2_i2c_subdev_init" },
	{ 0x656aa305, "media_entity_pads_init" },
	{ 0x58bbebd3, "__v4l2_subdev_init_finalize" },
	{ 0x7a9c9820, "__dev_fwnode" },
	{ 0xd00eb0e4, "fwnode_graph_get_endpoint_by_id" },
	{ 0x3d4f1710, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x20ddeff4, "fwnode_handle_put" },
	{ 0x825971ad, "phy_mipi_dphy_get_default_config_for_hsclk" },
	{ 0x6a4db559, "v4l2_ctrl_handler_init_class" },
	{ 0x53ae606, "v4l2_ctrl_new_int_menu" },
	{ 0x27c12ecf, "pm_runtime_set_autosuspend_delay" },
	{ 0x583481ae, "pm_runtime_enable" },
	{ 0xd2146338, "__pm_runtime_resume" },
	{ 0xc3d40fc9, "__pm_runtime_idle" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc856058e, "__pm_runtime_suspend" },
	{ 0xbd9c2e10, "device_property_present" },
	{ 0x4dd32f1, "device_property_read_string" },
	{ 0x38be1ceb, "devm_clk_hw_register" },
	{ 0x50d4486c, "v4l2_fwnode_endpoint_parse" },
	{ 0x8863c3af, "v4l2_async_subdev_nf_init" },
	{ 0x67f547e4, "__v4l2_async_nf_add_fwnode_remote" },
	{ 0x9ee4636c, "v4l2_async_nf_register" },
	{ 0xc28760c1, "v4l2_async_register_subdev" },
	{ 0xc1ab6e73, "media_pad_remote_pad_first" },
	{ 0xd23245a9, "v4l2_subdev_call_wrappers" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8e0cae5c, "pm_runtime_force_suspend" },
	{ 0x1d8987ce, "pm_runtime_force_resume" },
	{ 0xb2185ee7, "v4l2_subdev_get_fwnode_pad_1_to_1" },
	{ 0xeaf864e2, "v4l2_subdev_link_validate" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8989e40, "i2c_register_driver" },
	{ 0xb9afbd8c, "v4l2_subdev_cleanup" },
	{ 0x7e7fb4f8, "v4l2_ctrl_handler_free" },
	{ 0x9c4f6f4, "v4l2_fwnode_endpoint_free" },
	{ 0x2495ee01, "v4l2_async_nf_unregister" },
	{ 0x272e53e6, "v4l2_async_nf_cleanup" },
	{ 0xce8fad1f, "v4l2_async_unregister_subdev" },
	{ 0xcf2f73d5, "__pm_runtime_disable" },
	{ 0x8252cf01, "__pm_runtime_set_status" },
	{ 0xc4475c98, "__pm_runtime_use_autosuspend" },
	{ 0x2d45ff23, "__v4l2_subdev_state_get_format" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0x605538c5, "v4l2_subdev_get_fmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7734e433, "_dev_warn" },
	{ 0xb172e572, "v4l2_create_fwnode_links_to_pad" },
	{ 0x506d064, "i2c_del_driver" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc,v4l2-fwnode,v4l2-async");

MODULE_ALIAS("of:N*T*Ctoshiba,tc358746");
MODULE_ALIAS("of:N*T*Ctoshiba,tc358746C*");

MODULE_INFO(srcversion, "34C898039EAEB717A554827");
