#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf862eacf, "fc_remote_port_delete" },
	{ 0x47ab94ce, "scsi_is_fc_rport" },
	{ 0xb62ecec5, "fc_block_rport" },
	{ 0xb5e1888, "mptscsih_bus_reset" },
	{ 0xf4f346e2, "scsi_done" },
	{ 0xca1af1c4, "mptscsih_qcmd" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1216e91, "mptscsih_event_process" },
	{ 0x7889b18d, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x3f107c05, "mpt_config" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3465d5ac, "mptscsih_ioc_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdcbf0e7f, "mpt_attach" },
	{ 0xdd109fb0, "scsi_host_alloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x541adf7b, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x1bbab753, "scsi_is_host_device" },
	{ 0x1f626e38, "mptscsih_dev_reset" },
	{ 0xc76de73, "mptscsih_abort" },
	{ 0xcb5f5286, "fc_remote_port_add" },
	{ 0xb21bf1ef, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0xd12af925, "mptscsih_suspend" },
	{ 0x324037bc, "mptscsih_resume" },
	{ 0xb1ab841e, "mptscsih_shutdown" },
	{ 0x46d174e1, "mptscsih_info" },
	{ 0x7880698e, "mptscsih_host_reset" },
	{ 0xcd8fb9ab, "mptscsih_slave_configure" },
	{ 0x7fcfe02e, "mptscsih_slave_destroy" },
	{ 0x586e82fa, "mptscsih_change_queue_depth" },
	{ 0x7d792fcc, "mptscsih_bios_param" },
	{ 0x7b18160d, "mptscsih_show_info" },
	{ 0xcd833c68, "fc_eh_timed_out" },
	{ 0xcc65be6f, "mptscsih_host_attr_groups" },
	{ 0x386d791d, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xb659c72d, "fc_attach_transport" },
	{ 0xbb97b202, "mptscsih_io_done" },
	{ 0x56c5e26e, "mpt_register" },
	{ 0x62dc1def, "mptscsih_taskmgmt_complete" },
	{ 0x75bdeff5, "mptscsih_scandv_complete" },
	{ 0x5b709027, "mpt_event_register" },
	{ 0x4d084433, "mpt_reset_register" },
	{ 0xf3fdb10e, "__pci_register_driver" },
	{ 0xd069b139, "fc_release_transport" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6cb23922, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0x6f137f1d, "scsi_remove_host" },
	{ 0x83ab2ddd, "mptscsih_remove" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,mptscsih,scsi_mod,mptbase");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "91D1B541ED289A69A9B4970");
