#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0x59544c97, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0xf8022f37, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0x5d792821, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x6e17458b, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0x6ce93390, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x3771aca7, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x96d4aea1, "_gpl");
SYMBOL_CRC(nanddev_init, 0xe150bd90, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x7cea1002, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x768e5e2a, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x09b33a28, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x63d76e9f, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x35255302, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0x243db217, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x9460e1ff, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0xf779cb15, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0xca364eaf, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x6ea8bdb9, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0xe7499394, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x39e01949, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x66ec8f77, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x3d5261ca, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0x8d55a8c0, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0xd2a5ac2e, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x1b88d450, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x4069d308, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x1fce23d4, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0xd43eeb84, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x390bd90d, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0xcc7cbf16, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x4d741af5, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0xb73759d8, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0xe929fd08, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0xf0d61115, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0xcaa8bc76, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0xc32038f8, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x60ba86d8, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x4fe650b8, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0x74284647, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0xf7c20e25, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x048fd39a, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0xcbd770ea, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x72234ddd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b8a7de4, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5559cefc, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1cc83afa, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x73a20e2, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");
