#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xf72db6ec, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x66ae2065, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xb30f1ce2, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x6b1d11cb, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x7eb3fa92, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xbb65036c, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x13282d14, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x1468c344, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x4a8e8a92, "_gpl");
SYMBOL_CRC(can_change_state, 0x48c3492e, "_gpl");
SYMBOL_CRC(can_bus_off, 0x0239f13b, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x65b6631d, "_gpl");
SYMBOL_CRC(free_candev, 0x82dc5392, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x246b6f47, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x0a973ed5, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x0d672883, "");
SYMBOL_CRC(open_candev, 0x57beec5f, "_gpl");
SYMBOL_CRC(close_candev, 0x1c24efc8, "_gpl");
SYMBOL_CRC(register_candev, 0xcff51db0, "_gpl");
SYMBOL_CRC(unregister_candev, 0x0329049b, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x05b9012a, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x6a598726, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x606d8c0b, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x0d9eee65, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x7289d728, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x60dc8a59, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x3ea9df80, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x71104c89, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xceb1716d, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xa26eb2ac, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x95860f13, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x68d2871d, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xfce45ab1, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x228678e3, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x823081c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x214a494c, "skb_dequeue" },
	{ 0x89aef394, "rtnl_link_register" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0xe5ba7dbf, "netdev_warn" },
	{ 0xee4af13, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9cad4808, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xb8346153, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd63162e5, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34392844, "napi_complete_done" },
	{ 0x5b370d55, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2bf5a3fb, "__napi_schedule" },
	{ 0xb89e119d, "device_property_read_u32_array" },
	{ 0x53a9d7e7, "rtnl_link_unregister" },
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0x4eafca7d, "napi_enable" },
	{ 0x9e8e5c47, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x407445bc, "register_netdev" },
	{ 0x7b3ef346, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc9f4d8ee, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8ba900e, "netif_rx" },
	{ 0xe4807460, "__netdev_alloc_skb" },
	{ 0x176e7f04, "skb_trim" },
	{ 0xb0972eca, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97c5f48f, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x399db204, "skb_clone" },
	{ 0x6fbac1af, "netif_carrier_on" },
	{ 0x45494f59, "dev_err_probe" },
	{ 0x8ab18cbd, "napi_schedule_prep" },
	{ 0xdabba1dc, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xdbbba9c3, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x3af5276d, "gpiod_set_value" },
	{ 0x8b455a5e, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xd846a528, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x51edf005, "unregister_netdev" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "65BDC91C4E337EC694F2359");
