#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0x1468c344, "can_dropped_invalid_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11c314df, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x641b5fac, "usb_anchor_urb" },
	{ 0xf72db6ec, "can_put_echo_skb" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0x5014f95e, "usb_free_urb" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xb30f1ce2, "can_free_echo_skb" },
	{ 0xf77b2450, "usb_unanchor_urb" },
	{ 0x1fa312c, "netif_device_detach" },
	{ 0xb8346153, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe6cd2d2f, "netdev_printk" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x329049b, "unregister_candev" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x57beec5f, "open_candev" },
	{ 0x228678e3, "can_rx_offload_enable" },
	{ 0x8dedfa1e, "napi_disable" },
	{ 0x1c24efc8, "close_candev" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x862258db, "timecounter_init" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x7289d728, "can_rx_offload_queue_timestamp" },
	{ 0x3ea9df80, "can_rx_offload_queue_tail" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x71104c89, "can_rx_offload_get_echo_skb_queue_tail" },
	{ 0x6d7eef05, "netif_tx_wake_queue" },
	{ 0x13282d14, "alloc_can_err_skb" },
	{ 0xceb1716d, "can_rx_offload_irq_finish" },
	{ 0x60dc8a59, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x7eb3fa92, "alloc_canfd_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x6b1d11cb, "alloc_can_skb" },
	{ 0x246b6f47, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0x1afa01c2, "usb_control_msg_send" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb379f219, "usb_control_msg_recv" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdaf1784c, "ethtool_op_get_ts_info" },
	{ 0xd672883, "can_ethtool_op_get_ts_info_hwts" },
	{ 0xa973ed5, "can_eth_ioctl_hwts" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x65b6631d, "alloc_candev_mqs" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfce45ab1, "can_rx_offload_add_manual" },
	{ 0xcff51db0, "register_candev" },
	{ 0x823081c8, "can_rx_offload_del" },
	{ 0x82dc5392, "free_candev" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0xdbbba9c3, "netdev_info" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v1D50p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1209p2323d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1CD2p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p10B8d*dc*dsc*dp*ic*isc*ip*in00*");

MODULE_INFO(srcversion, "4AFE74454DAF416FAB79971");
