#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_read, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_write, "", "");
KSYMTAB_FUNC(bcm_phy_write_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_ack_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_shadow, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_shadow, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_apd, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_eee, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_get, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_set, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_sset_count, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_strings, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_stats, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_r_rc_cal_reset, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_28nm_a0b0_afe_config_init, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_jumbo, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_wol_isr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_led_brightness_set, "_gpl", "");

SYMBOL_CRC(__bcm_phy_write_exp, 0x94e17cee, "_gpl");
SYMBOL_CRC(bcm_phy_write_exp, 0x817f522a, "_gpl");
SYMBOL_CRC(__bcm_phy_read_exp, 0x8c599f84, "_gpl");
SYMBOL_CRC(bcm_phy_read_exp, 0x45914be3, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_exp, 0xff10ed00, "_gpl");
SYMBOL_CRC(bcm_phy_modify_exp, 0xf3150c02, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_read, 0x490a5419, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_write, 0x5dbbfc46, "");
SYMBOL_CRC(bcm_phy_write_misc, 0x674ad84a, "_gpl");
SYMBOL_CRC(bcm_phy_read_misc, 0xa734a91f, "_gpl");
SYMBOL_CRC(bcm_phy_ack_intr, 0x643ef4fb, "_gpl");
SYMBOL_CRC(bcm_phy_config_intr, 0x196936fb, "_gpl");
SYMBOL_CRC(bcm_phy_handle_interrupt, 0x8db479ed, "_gpl");
SYMBOL_CRC(bcm_phy_read_shadow, 0x30a3bea6, "_gpl");
SYMBOL_CRC(bcm_phy_write_shadow, 0x90953d5c, "_gpl");
SYMBOL_CRC(__bcm_phy_read_rdb, 0xd8286cfc, "_gpl");
SYMBOL_CRC(bcm_phy_read_rdb, 0x11e0b89b, "_gpl");
SYMBOL_CRC(__bcm_phy_write_rdb, 0xc432985a, "_gpl");
SYMBOL_CRC(bcm_phy_write_rdb, 0xd1acb69e, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_rdb, 0xfb42e5bb, "_gpl");
SYMBOL_CRC(bcm_phy_modify_rdb, 0xf74704b9, "_gpl");
SYMBOL_CRC(bcm_phy_enable_apd, 0xb46d3e94, "_gpl");
SYMBOL_CRC(bcm_phy_set_eee, 0x591c340f, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_get, 0x04597c51, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_set, 0x1f302373, "_gpl");
SYMBOL_CRC(bcm_phy_get_sset_count, 0x9603bbb8, "_gpl");
SYMBOL_CRC(bcm_phy_get_strings, 0xcad7f234, "_gpl");
SYMBOL_CRC(bcm_phy_get_stats, 0x41063de4, "_gpl");
SYMBOL_CRC(bcm_phy_r_rc_cal_reset, 0x0b9b6e7b, "_gpl");
SYMBOL_CRC(bcm_phy_28nm_a0b0_afe_config_init, 0x5c2721f2, "_gpl");
SYMBOL_CRC(bcm_phy_enable_jumbo, 0x02be59ab, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start, 0x1f8042e0, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status, 0xcde4d92b, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start_rdb, 0x7cac2ed5, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status_rdb, 0xf5fcdd40, "_gpl");
SYMBOL_CRC(bcm_phy_set_wol, 0x66e8bf99, "_gpl");
SYMBOL_CRC(bcm_phy_get_wol, 0x1d0a638f, "_gpl");
SYMBOL_CRC(bcm_phy_wol_isr, 0xa0f0ddfd, "_gpl");
SYMBOL_CRC(bcm_phy_led_brightness_set, 0x072eb53b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x44ca1da3, "mdiobus_write" },
	{ 0x7b8547ab, "mdiobus_read" },
	{ 0xfd93001, "phy_trigger_machine" },
	{ 0x8fb29e29, "phy_error" },
	{ 0x823ff474, "phy_read_mmd" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5f40aa3a, "__mdiobus_write" },
	{ 0xe95b8b9f, "__mdiobus_read" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xefb6dd78, "phy_write_mmd" },
	{ 0x4efa194f, "phy_modify" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75c939b8, "ethnl_cable_test_result" },
	{ 0xb3e73cc6, "ethnl_cable_test_fault_length" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "D6D87B59996E8D5917EE9C1");
