#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x781b54f2, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x3bba60a9, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x8f8cd2d7, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x65b00246, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xf2254cf9, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xbfa41fc8, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xc03398da, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x41f48764, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x7c72d6f8, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x334832da, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x2c8e47e9, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xf7529c8a, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x007b16c6, "_gpl");
SYMBOL_CRC(usbnet_open, 0x15761e64, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x6940521a, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x5ea666fd, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x127f1559, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x3e575e99, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xdc95dbca, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x21e61035, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x73f77795, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xb354bb7a, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xbfccc0f1, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x45a9dd30, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x86cdb19b, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x7c2d354d, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xaae41197, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x2160a6a2, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x265b8520, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xc1a373b9, "");
SYMBOL_CRC(usbnet_manage_power, 0xcd22baf8, "");
SYMBOL_CRC(usbnet_link_change, 0x50854d20, "");
SYMBOL_CRC(usbnet_read_cmd, 0xaf3aa166, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x81769cc9, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xcdfd0ce7, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x826f3e71, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xb21cfd43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66998c8e, "usb_set_interface" },
	{ 0xde24aa9d, "usb_string" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xa4708ac7, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8ba900e, "netif_rx" },
	{ 0x3b33e7b9, "eth_type_trans" },
	{ 0x408b43, "skb_queue_tail" },
	{ 0xb0972eca, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd63162e5, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe6dd9307, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x45d7a6a9, "usb_unlink_urb" },
	{ 0x5014f95e, "usb_free_urb" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0xb8346153, "netdev_err" },
	{ 0x684847e, "mii_ethtool_get_link_ksettings" },
	{ 0xbdff4bc0, "mii_ethtool_set_link_ksettings" },
	{ 0x71ca6448, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x51edf005, "unregister_netdev" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0x3f100284, "usb_get_from_anchor" },
	{ 0x56361a06, "usb_kill_urb" },
	{ 0x7b3ef346, "free_netdev" },
	{ 0xdbbba9c3, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1fa312c, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe406a56f, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x39aaf506, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1a5aaf01, "usb_autopm_get_interface" },
	{ 0x58b64c0f, "usb_autopm_put_interface" },
	{ 0x11c314df, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf2fd9a20, "mii_link_ok" },
	{ 0xf8382c42, "ethtool_op_get_link" },
	{ 0x9e929768, "usb_autopm_put_interface_async" },
	{ 0x6fbac1af, "netif_carrier_on" },
	{ 0x97c5f48f, "netif_carrier_off" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x245bec39, "usb_autopm_get_interface_async" },
	{ 0x8b455a5e, "skb_tstamp_tx" },
	{ 0xdabba1dc, "dev_kfree_skb_any_reason" },
	{ 0x641b5fac, "usb_anchor_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x214a494c, "skb_dequeue" },
	{ 0x6ff98e27, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x407445bc, "register_netdev" },
	{ 0x583481ae, "pm_runtime_enable" },
	{ 0x55ecc9a2, "usb_check_bulk_endpoints" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe4807460, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6d7eef05, "netif_tx_wake_queue" },
	{ 0xabf1b9fa, "usb_autopm_get_interface_no_resume" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0xcbad3c01, "usb_clear_halt" },
	{ 0x189ba591, "eth_mac_addr" },
	{ 0xe68b2000, "eth_validate_addr" },
	{ 0xdaf1784c, "ethtool_op_get_ts_info" },
	{ 0x386d791d, "param_ops_int" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "38908DA3D1327226F0EBFCE");
