#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x94beb739, "");
SYMBOL_CRC(ath10k_info, 0x2afe3e42, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xc174691d, "");
SYMBOL_CRC(ath10k_err, 0x2c6b5ede, "");
SYMBOL_CRC(ath10k_warn, 0x69c36043, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xc1937f14, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xce061106, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x30f11076, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x4cf64dfe, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x05f7db95, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0xf89729fe, "");
SYMBOL_CRC(ath10k_core_start, 0x4a2efdbf, "");
SYMBOL_CRC(ath10k_core_stop, 0x9e1f9e00, "");
SYMBOL_CRC(ath10k_core_register, 0x115b8213, "");
SYMBOL_CRC(ath10k_core_unregister, 0x8ac7cc82, "");
SYMBOL_CRC(ath10k_core_create, 0xdab09318, "");
SYMBOL_CRC(ath10k_core_destroy, 0xb4b682ed, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x6f6e23cd, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x64b3edf2, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xdbee4c87, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x8a399dce, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x0a0a1ccc, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x357f1e4b, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x023c9cec, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0xa4f54e28, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0xe6cedc1c, "");
SYMBOL_CRC(ath10k_bmi_start, 0x3889558a, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x56bcf034, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xf10abb39, "");
SYMBOL_CRC(ath10k_coredump_new, 0xfcb26436, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xecad8ca0, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xf90b2584, "");
SYMBOL_CRC(ath10k_ce_send, 0x7c87b287, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x384dbf1e, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xe3b50765, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x9c37dc00, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x5bdd0d49, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xbde18ae4, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xcf652ca8, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x5310c99a, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x8d11c0d5, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x435d7e4f, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xbacdf763, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x2d8a097e, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x665d3de2, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x8ecc4cf3, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x51936d5b, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x49ff1812, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x8a40e002, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x3bb4c5e1, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x0b17996e, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xf334beb5, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xfddcee1a, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x8740a439, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x16604e8d, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x2cec497d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xb47e02e5, "__cfg80211_get_bss" },
	{ 0xe64db56d, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0xe9837963, "skb_queue_head" },
	{ 0x911ac8ed, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x76e0b43, "ieee80211_beacon_update_cntdwn" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa442d72b, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0x60e18117, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xda03adb7, "is_acpi_device_node" },
	{ 0xce37ff71, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb76931e1, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x5b3b296d, "ieee80211_txq_get_depth" },
	{ 0x7df33229, "param_ops_uint" },
	{ 0x7576b36a, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5575cecc, "firmware_request_nowarn" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1801f2ff, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9de7baaa, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x214a494c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51ac19f1, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0xa1b07d16, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x49dfa609, "ieee80211_iterate_stations_atomic" },
	{ 0xca122d55, "dma_sync_single_for_device" },
	{ 0x101f9bc2, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x23a8696a, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x9ca79ec0, "thermal_cooling_device_register" },
	{ 0xc1c94fff, "ieee80211_register_hw" },
	{ 0xadb29fbe, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x2e41e5d5, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x15e63a46, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6501ea0e, "pskb_expand_head" },
	{ 0xd63162e5, "skb_queue_purge_reason" },
	{ 0xdff253cd, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x29741fca, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xc81b2713, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0x3c0cfdf8, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x408b43, "skb_queue_tail" },
	{ 0x7a21bd61, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84bf7473, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x62bc16f, "wiphy_to_ieee80211_hw" },
	{ 0x34cfb91d, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1030d850, "ieee80211_queue_delayed_work" },
	{ 0x92b188b, "ieee80211_proberesp_get" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0xd81413f8, "skb_pull" },
	{ 0xd4453e22, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf895819d, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27965b64, "ieee80211_find_sta_by_ifaddr" },
	{ 0x61dd7552, "ieee80211_next_txq" },
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42cf3bc7, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85c8a435, "skb_push" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x4eafca7d, "napi_enable" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x22bdf147, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd2354d22, "ieee80211_report_low_ack" },
	{ 0x83e9a4fb, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x28a4713f, "ieee80211_free_txskb" },
	{ 0xeae3f9c1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3cf734e6, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa4a4696d, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa1516334, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x9c9eda03, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9c9353d2, "devm_nvmem_cell_get" },
	{ 0x8e25446e, "ieee80211_stop_queue" },
	{ 0xe4807460, "__netdev_alloc_skb" },
	{ 0x9a20e548, "ieee80211_ready_on_channel" },
	{ 0x5e827295, "ieee80211_stop_queues" },
	{ 0x176e7f04, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6bbb4aa1, "skb_realloc_headroom" },
	{ 0x4478ec10, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3c1d0855, "ieee80211_scan_completed" },
	{ 0x25c4a1f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x981d409, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x2d212495, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5abc8bc7, "ath_regd_init" },
	{ 0x2530e944, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd5da45b7, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x99dd4c00, "ieee80211_tdls_oper_request" },
	{ 0xa8ce5fe0, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x15a65fa5, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x79713cbc, "ieee80211_tx_rate_update" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xaa6eb8ad, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x8dedfa1e, "napi_disable" },
	{ 0xdabba1dc, "dev_kfree_skb_any_reason" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "9E3EB16DA766E9D7B5949C9");
