#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xb88ac194, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xb90e7211, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x38b99413, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xa1864a97, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x6c43b1c5, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x4f89c789, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x282a7b14, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xdb03206e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x568a4151, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xde1fe78a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x59aabe77, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xe8668861, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x9f09721a, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xb065e97f, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xd719df18, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xbe905f2c, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x6db68eff, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x069fc225, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x63735d08, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xa7b0e209, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x6888cc14, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x10d4eeb6, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x84bf7a4e, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x13c3bd07, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x8356e056, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xef834770, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xc8ca962b, "_gpl");
SYMBOL_CRC(mt76_rx, 0x886850ba, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xf0578d12, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x0ead203c, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xe5136e09, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xb1930f86, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xc45055ac, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x15ace5f7, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x8d2ad4d9, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x84f52612, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x785faa74, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x92367805, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x3d3a2268, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x89a141b1, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xf39e43cc, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x6f3447d5, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x0128b2f1, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x636a001d, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x625bcf09, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xf1b8997c, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x28ae53ab, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xa8a32054, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x0cfad86b, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x05c1b60b, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x86d630a5, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xec7dd55b, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xd32348ab, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x1edd4279, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x684e07f9, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xb260a73a, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x63e15b3e, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x364866c1, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0xe3c5bebc, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x819a68b6, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xa53613d0, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x77f60f82, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x1b19be13, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x5be23fb5, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xe6781a1d, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x7bda2359, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x18a48938, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x57a8551c, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x4321511f, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xbdaf8cc1, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x9d53eec8, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x9c6c8cc3, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xdc10e586, "_gpl");
SYMBOL_CRC(mt76_tx, 0x506b9c98, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x0d17cf9a, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x8bb80f7a, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x3e7f8415, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x71399140, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x5f8c90cf, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x09c56bf7, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x25edcbea, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xb49da8f8, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xd2db4bae, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xe6101e7b, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x6bcf8e55, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xe705a071, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xc3706751, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x6fe35c97, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x2788c19f, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x48078971, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x8973fc90, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x88738e94, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x1fb1490e, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x87a70906, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xbecdb0e7, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0xee621970, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x2f81ff1f, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x5b05d759, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x101f9bc2, "ieee80211_tx_status_ext" },
	{ 0x4a90ee68, "debugfs_create_blob" },
	{ 0x4f43e9c3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xa612ca80, "page_pool_destroy" },
	{ 0xc1c94fff, "ieee80211_register_hw" },
	{ 0xd05accbc, "led_classdev_unregister" },
	{ 0xdfa6fefc, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc128daa1, "ieee80211_sta_eosp" },
	{ 0x642b48f6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9cad4808, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4db40dfa, "kthread_park" },
	{ 0x1823de, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb01e44e2, "wake_up_process" },
	{ 0xdff253cd, "dev_driver_string" },
	{ 0x2c1cde41, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0x34392844, "napi_complete_done" },
	{ 0x1d86eccb, "ieee80211_get_tx_rates" },
	{ 0xb5c6b648, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x51cd4801, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x943f9b6a, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xfea394f5, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0xab1e4208, "pci_disable_link_state" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0xd02c163, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x408b43, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x5c6d271f, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x657a4e1d, "debugfs_attr_read" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1030d850, "ieee80211_queue_delayed_work" },
	{ 0x713537bd, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4a424600, "perf_trace_run_bpf_submit" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0xb3cdddc1, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x6cbc34e9, "simple_attr_release" },
	{ 0x8db02d5, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x27965b64, "ieee80211_find_sta_by_ifaddr" },
	{ 0x61dd7552, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb3e817cb, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85c8a435, "skb_push" },
	{ 0x4eafca7d, "napi_enable" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x53f6b387, "trace_event_reg" },
	{ 0x9260a037, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbce46c69, "kthread_stop" },
	{ 0x28a4713f, "ieee80211_free_txskb" },
	{ 0x3506b7c7, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3cf734e6, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa4a4696d, "ieee80211_tx_dequeue" },
	{ 0xfccaac55, "ieee80211_rx_list" },
	{ 0x374d5d92, "dma_sync_single_for_cpu" },
	{ 0xea0c35a0, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x774f6675, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7947d2e4, "kthread_create_on_node" },
	{ 0x558e9267, "cfg80211_reg_can_beacon" },
	{ 0x8f54d3eb, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf3a52972, "trace_event_buffer_reserve" },
	{ 0x25c4a1f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2d212495, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x742498f1, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9f335a0d, "skb_add_rx_frag_netmem" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xbf38d7df, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x43734951, "debugfs_create_u8" },
	{ 0x167f9d46, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe64db56d, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0x8d840c25, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb6bb546b, "pcie_capability_read_word" },
	{ 0x5bc022e0, "__skb_pad" },
	{ 0xd47f6488, "page_pool_get_stats" },
	{ 0x11636d07, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb76931e1, "__ieee80211_schedule_txq" },
	{ 0x107b5d31, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x25eea86b, "page_pool_alloc_frag" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd846a528, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd2de5755, "dmam_alloc_attrs" },
	{ 0xe80d6513, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x214a494c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2d0f108d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51ac19f1, "ieee80211_free_hw" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0xa1b07d16, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6f2c228f, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xca122d55, "dma_sync_single_for_device" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "A0193318E217B01E5696CB9");
