#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xe469ab86, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x5bf949b3, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xf0149f9b, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x476a2e5d, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xca1931ce, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xed416449, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xee77e75c, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x02a0310a, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x8034ad6c, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xa47cb68f, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xe2059d76, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xe6c2cace, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xbd0b7b47, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x9ab6d630, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x90fc6eab, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xddef7379, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x64c960c0, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x8847fbf1, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x37370ebb, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0xc7e326c9, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x9b372edb, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x3c3c8912, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x2d6102fc, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xf89d9b8b, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x8aaa589d, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xe893302b, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0xeea4dafc, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x4eb3489f, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x0fb06741, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x97eb65ab, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0xc904e670, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x5bf0fe93, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xfd4592ca, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0xf10f8314, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xc4c2d0cc, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x8564fdbb, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x05ba7267, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x73a64d4a, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x1f5f580f, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x7de438e3, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0xafa82bce, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x708fdfa2, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0xcae9a345, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x708730a7, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xa171b875, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x9fa5a9d2, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x944d27a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdebfe4f1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0x3723a3d, "request_firmware" },
	{ 0x24484397, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x101f9bc2, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0xd05accbc, "led_classdev_unregister" },
	{ 0xc1c94fff, "ieee80211_register_hw" },
	{ 0xdfa6fefc, "__ieee80211_create_tpt_led_trigger" },
	{ 0x642b48f6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x2e41e5d5, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdff253cd, "dev_driver_string" },
	{ 0x3a9ffc02, "ieee80211_tx_status_skb" },
	{ 0x75fd4460, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1030d850, "ieee80211_queue_delayed_work" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0xe651d8aa, "ieee80211_ctstoself_get" },
	{ 0xd81413f8, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85c8a435, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x28a4713f, "ieee80211_free_txskb" },
	{ 0x3506b7c7, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8e25446e, "ieee80211_stop_queue" },
	{ 0xe4807460, "__netdev_alloc_skb" },
	{ 0x5e827295, "ieee80211_stop_queues" },
	{ 0x176e7f04, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4478ec10, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe4091086, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x25c4a1f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x502e7c5e, "led_classdev_resume" },
	{ 0x2d212495, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2530e944, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xafa0d227, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xaa6eb8ad, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xdabba1dc, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x911ac8ed, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x31a4d72d, "ieee80211_iterate_interfaces" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "E45600D49323125F9786FF0");
