#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x80881f8c, "led_classdev_notify_brightness_hw_changed" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8150833a, "misc_deregister" },
	{ 0xdf41ffcb, "remove_proc_entry" },
	{ 0xf3c3d70b, "hwmon_device_unregister" },
	{ 0x2f2e5496, "iio_device_unregister" },
	{ 0x1500ab3a, "iio_device_free" },
	{ 0x262f00ad, "input_unregister_device" },
	{ 0xc4475b2, "backlight_device_unregister" },
	{ 0xd05accbc, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6633899a, "battery_hook_unregister" },
	{ 0x768a7376, "i8042_remove_filter" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4cbfdb9f, "sysfs_remove_group" },
	{ 0x48745989, "device_remove_groups" },
	{ 0x520377e1, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8cec3ae1, "single_open" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0x90dee344, "proc_mkdir" },
	{ 0x5abe0e9, "acpi_bus_register_driver" },
	{ 0x97e7c19a, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xd207d650, "misc_register" },
	{ 0x3506b7c7, "led_classdev_register_ext" },
	{ 0x997f79d, "iio_device_alloc" },
	{ 0xf3801fe, "hwmon_device_register_with_info" },
	{ 0x1207e002, "sysfs_create_group" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x81112bff, "input_allocate_device" },
	{ 0x8153424c, "sparse_keymap_setup" },
	{ 0x6d5e2fc1, "input_free_device" },
	{ 0x8b852a24, "__iio_device_register" },
	{ 0xbc3238f8, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0xb40ac274, "proc_create_data" },
	{ 0x2f958e9d, "proc_create_single_data" },
	{ 0x1c9a095c, "battery_hook_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xb7a0695d, "backlight_device_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x17f7fc45, "i8042_install_filter" },
	{ 0x41d4485c, "input_register_device" },
	{ 0x71049771, "sparse_keymap_report_event" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x9fbc63d2, "noop_llseek" },
	{ 0x4101f83a, "seq_read" },
	{ 0x5781d422, "seq_lseek" },
	{ 0xd6565347, "single_release" },
	{ 0x981d409, "param_ops_bool" },
	{ 0x386d791d, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xfa5a7368, "sysfs_update_group" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,battery,wmi,sparse-keymap,video");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "DFA1F020833766909AAEEFE");
