#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0x7c124198, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0x3a1ce117, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0x2ded1a33, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0x69ab9399, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0x0a988b45, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x8edda025, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0x9fc738e4, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0x35e8ae9b, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0xca595edc, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0xcf7e13c6, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0xfd304b40, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0x64457014, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0x3b57254f, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0x5eb69c53, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0x13e3e43f, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0x7bee743c, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0x8506237d, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0xe3be0246, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0x79abf00c, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0x4825d9d5, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0x8c4915d7, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0xa020a4d1, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0x8c7b4a91, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0xf1c1e1c1, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0xcfb2009d, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0xf757b7d2, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0xd1083232, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0x1ee689fe, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0x3374570e, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0x97bee588, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0xbf7100e8, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0x26f269e5, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0xc395771e, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0x9e67f05f, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0x97ec03f8, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0x28026a65, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0xa831ade2, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0xaa4fd7bf, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0xfc11cb0f, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0xcc6d86e0, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0x672ca838, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0x779b31a9, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0xf3d97e83, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0xa407fc82, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0x331badae, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0x1da1b376, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0xe708390e, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0xc5dbc1bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xed7c4c9e, "_dev_printk" },
	{ 0x5521e17c, "iscsi_dbg_trace" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xf4f346e2, "scsi_done" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92997ed8, "_printk" },
	{ 0x541adf7b, "scsi_add_host_with_dma" },
	{ 0xdd109fb0, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa64fc436, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8e9f1ae6, "scsi_host_get" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x42e18700, "iscsi_remove_session" },
	{ 0x24771063, "iscsi_alloc_conn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7571cb8b, "iscsi_add_conn" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x873eafe3, "iscsi_put_conn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd00c12e7, "iscsi_unblock_session" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x77ba37cc, "__tracepoint_iscsi_dbg_session" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x52575134, "__SCT__tp_func_iscsi_dbg_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc2f61f1d, "iscsi_conn_error_event" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xb0c1be4a, "__tracepoint_iscsi_dbg_eh" },
	{ 0xf7e749fb, "__SCT__tp_func_iscsi_dbg_eh" },
	{ 0xcf159008, "__tracepoint_iscsi_dbg_conn" },
	{ 0x15dc8bab, "__SCT__tp_func_iscsi_dbg_conn" },
	{ 0x8e4dfc1c, "iscsi_recv_pdu" },
	{ 0xec4da5b4, "iscsi_host_for_each_session" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0x6f137f1d, "scsi_remove_host" },
	{ 0x550187e8, "iscsi_force_destroy_session" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x864919f1, "flush_signals" },
	{ 0xcb813246, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0x24d273d1, "add_timer" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2374ab1, "iscsi_free_session" },
	{ 0xb27a4b9f, "module_put" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x17a927e9, "iscsi_session_chkready" },
	{ 0xf7370f56, "system_state" },
	{ 0xcdd3b367, "iscsi_alloc_session" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcd7cce5e, "try_module_get" },
	{ 0x982296a9, "iscsi_add_session" },
	{ 0x3b83edaa, "iscsi_remove_conn" },
	{ 0x5c309734, "iscsi_get_conn" },
	{ 0xc0b63ac1, "iscsi_block_session" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x386d791d, "param_ops_int" },
	{ 0x2f9f268c, "__SCK__tp_func_iscsi_dbg_eh" },
	{ 0xf9e07693, "__SCK__tp_func_iscsi_dbg_session" },
	{ 0xac6164e8, "__SCK__tp_func_iscsi_dbg_conn" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D2C8AD88B4623AE89808360");
