#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x2622bd93, "");
SYMBOL_CRC(sas_remove_host, 0x47412a10, "");
SYMBOL_CRC(sas_get_address, 0x316ffd4a, "");
SYMBOL_CRC(sas_tlr_supported, 0xe6f498a3, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xdcd3fe64, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x4ef8f39e, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xd0c827b7, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x872b30b5, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x8dad9277, "");
SYMBOL_CRC(sas_phy_add, 0x47dd6225, "");
SYMBOL_CRC(sas_phy_free, 0xb1a3a1c9, "");
SYMBOL_CRC(sas_phy_delete, 0xac3f8805, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x0585c961, "");
SYMBOL_CRC(sas_port_alloc, 0x96d80fcf, "");
SYMBOL_CRC(sas_port_alloc_num, 0x6b5caa8f, "");
SYMBOL_CRC(sas_port_add, 0xa37959ce, "");
SYMBOL_CRC(sas_port_free, 0x8feb8e01, "");
SYMBOL_CRC(sas_port_delete, 0xa962cb8c, "");
SYMBOL_CRC(scsi_is_sas_port, 0x7884d2f8, "");
SYMBOL_CRC(sas_port_get_phy, 0x487234f6, "");
SYMBOL_CRC(sas_port_add_phy, 0xfb644c49, "");
SYMBOL_CRC(sas_port_delete_phy, 0xb5352cff, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x93b1787b, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x6e60e76e, "");
SYMBOL_CRC(sas_end_device_alloc, 0x6561bdde, "");
SYMBOL_CRC(sas_expander_alloc, 0xec4f9a01, "");
SYMBOL_CRC(sas_rphy_add, 0x153b0c8d, "");
SYMBOL_CRC(sas_rphy_free, 0x63d48b14, "");
SYMBOL_CRC(sas_rphy_delete, 0x34fa89cb, "");
SYMBOL_CRC(sas_rphy_unlink, 0x0bd98a22, "");
SYMBOL_CRC(sas_rphy_remove, 0x74223989, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x31ec5a35, "");
SYMBOL_CRC(sas_attach_transport, 0xa14fab43, "");
SYMBOL_CRC(sas_release_transport, 0x5d114dc2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x68bab1be, "attribute_container_register" },
	{ 0x5c134af6, "scsi_get_vpd_page" },
	{ 0x49a65769, "scsi_mode_sense" },
	{ 0x350ad222, "attribute_container_unregister" },
	{ 0x6f137f1d, "scsi_remove_host" },
	{ 0xa12a8cff, "bsg_remove_queue" },
	{ 0x33d02ca5, "scsi_remove_target" },
	{ 0x1bbab753, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7734e433, "_dev_warn" },
	{ 0xf060ec60, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfb2d7cdd, "dma_opt_mapping_size" },
	{ 0xdbde0e8c, "device_initialize" },
	{ 0xd47039c3, "dev_set_name" },
	{ 0x78ecd073, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8967fa6a, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5559cefc, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x30214ad, "device_add" },
	{ 0x1319403b, "transport_add_device" },
	{ 0x46239540, "transport_configure_device" },
	{ 0x14fe7319, "device_del" },
	{ 0xf43ed380, "transport_destroy_device" },
	{ 0xa260fb8f, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x241aaa6a, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd4453e22, "sysfs_remove_link" },
	{ 0x84bf7473, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xed7c4c9e, "_dev_printk" },
	{ 0x54b17aa8, "scsi_scan_target" },
	{ 0x7ec31cc2, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x6fae4933, "transport_class_register" },
	{ 0xb7a79029, "transport_class_unregister" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "082852696E06971446548D5");
