#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x55ecc9a2, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x2d902b43, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x3d2ec94d, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x4ea8d14c, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x749c8cd4, "_gpl");
SYMBOL_CRC(usb_find_interface, 0xef803f10, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0xcf31ea52, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x84868638, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x4185ffdf, "_gpl");
SYMBOL_CRC(usb_put_dev, 0xb445e85a, "_gpl");
SYMBOL_CRC(usb_get_intf, 0xb87037fc, "_gpl");
SYMBOL_CRC(usb_put_intf, 0xe86be246, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x9b5dd415, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x7a5ad66f, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x9df8f9fc, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0xbf73bb43, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x1523f1b9, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0xbc9b8588, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x8fa802f9, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0xe7874edd, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x2fd06f0a, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0x83980b81, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x7641ebc4, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0xa4656de3, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x11a584b8, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0x31de4265, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x71f873a5, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x86faac4d, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0xd60c2530, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x333a4516, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x4c81f47b, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x997960e6, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x400fc8ca, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x7a66534f, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0xd2593f21, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xae0ecf40, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0x94707c34, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x88d10e46, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x6fb6d08d, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0x72742931, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0x1b028d1f, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0xc910c274, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0xcce842c5, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0xed5b7cf8, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0xdc56d824, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0xfd6e50b8, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0xc66ca615, "_gpl");
SYMBOL_CRC(usb_free_streams, 0xc8930de3, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x9170c00a, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x91178812, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x41aa2d87, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x5cd213b0, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x66098351, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x205a4597, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0xc36d38af, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x1e96e7d8, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0x01fbe068, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0xeb0c3006, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0xa6577d14, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0x7a0d9348, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x7852a35d, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x767983a9, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0xc284052e, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x11c314df, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x5014f95e, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xe6dd9307, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x641b5fac, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0xf77b2450, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0xf29a6d0a, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0x15806065, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x430e8234, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x45d7a6a9, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x56361a06, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0xf14e8695, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0x4d6e458d, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xe436ee09, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x3f100284, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0x39aaf506, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x1afa01c2, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0xb379f219, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xb349a410, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x32522571, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x4e6c993f, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x2796d98a, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x28cf16d1, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0xe53aca80, "_gpl");
SYMBOL_CRC(usb_string, 0xde24aa9d, "_gpl");
SYMBOL_CRC(usb_cache_string, 0xe2d83b51, "_gpl");
SYMBOL_CRC(usb_get_status, 0xbf058ceb, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0xcbad3c01, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x4481f3ed, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x66998c8e, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x77e14e8e, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0xd2bfe082, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x4a1d85a7, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0x1dd63c6c, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x4b777877, "");
SYMBOL_CRC(usb_store_new_id, 0xde8ec0b0, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0xc17e9946, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0x3f2e5f83, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x23c93ddc, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0xdd48bd0c, "_gpl");
SYMBOL_CRC(usb_match_id, 0x7fc37e9b, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x43f2213c, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x16aec69c, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x45738f6a, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x845e19cb, "_gpl");
SYMBOL_CRC(usb_deregister, 0x13b89a4a, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0xfe44bbc7, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x355b13f5, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0x58b64c0f, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x9e929768, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0xa2fed3a1, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x1a5aaf01, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x245bec39, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0xabf1b9fa, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x0fae4cd8, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x51be5063, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0xb31d8a6a, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x728290a8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0x75b69a98, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0xd7530f69, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0xd81cdece, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0xab95f497, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0xc9c29e89, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x88ddbcfd, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x170831cb, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0xe03dae1f, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0xdbb13515, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0xe3e2cc45, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf895819d, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6427b46a, "device_create" },
	{ 0x9fbc63d2, "noop_llseek" },
	{ 0x5778383b, "sysfs_merge_group" },
	{ 0x718378c4, "phy_notify_disconnect" },
	{ 0xbe7aad01, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf5309e2, "kernfs_find_and_get_ns" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x91013446, "phy_power_on" },
	{ 0x3b16f20d, "no_seek_end_llseek" },
	{ 0xca89b21d, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc7eef51a, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x1af9b115, "sysfs_remove_file_from_group" },
	{ 0x1207e002, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x17bd3c98, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x14fe7319, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x23ef9852, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0x2eb8f07f, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x6dd6a19f, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xd6446d6e, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb2abdf5, "pm_runtime_no_callbacks" },
	{ 0xd0a0e261, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4df82644, "devm_gen_pool_create" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9e35c731, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x77f5ba86, "pv_ops" },
	{ 0x4cbfdb9f, "sysfs_remove_group" },
	{ 0xcf2c5f00, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8df73310, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x7995122b, "pm_runtime_forbid" },
	{ 0x33ccb975, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xa08aa438, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd2146338, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6803fb38, "acpi_fetch_acpi_dev" },
	{ 0x981d409, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x48fb4422, "kernfs_put" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd6c81aa2, "inode_set_ctime_current" },
	{ 0xf33a36c9, "__register_chrdev" },
	{ 0x7248a34b, "sysfs_break_active_protection" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4eadbe71, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x20f1fdbe, "kobject_uevent" },
	{ 0x1e3a47ce, "device_pm_wait_for_dev" },
	{ 0xc11b587a, "pci_disable_device" },
	{ 0xdafc4e69, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xcf746843, "dma_mmap_attrs" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0xfb5e4d67, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x626196ed, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x916de757, "dev_pm_qos_add_request" },
	{ 0x6f5e260c, "pm_runtime_barrier" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xc856058e, "__pm_runtime_suspend" },
	{ 0x616c7fcf, "usb_debug_root" },
	{ 0xf6480fc8, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x49a15b54, "set_primary_fwnode" },
	{ 0xb6312f82, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xc4475c98, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x67fd4845, "phy_calibrate" },
	{ 0x386d791d, "param_ops_int" },
	{ 0xed7c4c9e, "_dev_printk" },
	{ 0xba0d5b38, "dev_pm_qos_expose_flags" },
	{ 0xcf2f73d5, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x430038c2, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa33bb9a2, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x53b954a2, "up_read" },
	{  0xe3731, "driver_register" },
	{ 0x8f9a9a4d, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x4ef753c7, "class_register" },
	{ 0xc3d40fc9, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1a71caa7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7ec4b714, "cdev_del" },
	{ 0xb6ce80a3, "device_remove_file" },
	{ 0x4f9ba15d, "bus_register" },
	{ 0xb1ae82dd, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5fe32230, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xfe1d65f2, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x217a85b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0xa442d72b, "device_set_wakeup_enable" },
	{ 0xcd7cce5e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xda03adb7, "is_acpi_device_node" },
	{ 0xce37ff71, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xace5dff5, "device_set_of_node_from_dev" },
	{ 0x7df33229, "param_ops_uint" },
	{ 0x9009db23, "dma_pool_create" },
	{ 0x3a3cfa62, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcdb16cba, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf4c641dc, "devm_memremap" },
	{ 0xd47039c3, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0x52a534ab, "pci_alloc_irq_vectors" },
	{ 0xb40352ba, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd2de5755, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x56a4c9cd, "driver_remove_file" },
	{ 0xf3cf60e9, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x14c44d8a, "driver_attach" },
	{ 0x1ccfe4aa, "device_unregister" },
	{ 0x27c12ecf, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a781cee, "pci_get_device" },
	{ 0xcc2ad4dd, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xcc3d575b, "sysfs_unbreak_active_protection" },
	{ 0xb06e7b81, "pci_dev_run_wake" },
	{ 0xf20463a, "devm_ioremap" },
	{ 0x55486991, "pci_prepare_to_sleep" },
	{ 0xdbde0e8c, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xd4520bef, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xabf299c1, "component_del" },
	{ 0xf703b2f9, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x97d9124f, "kobject_get_path" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe11d826c, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x9812e7ee, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x68b87be6, "pci_irq_vector" },
	{ 0x241aaa6a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x981ec08a, "kernfs_notify" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85d0b3ef, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x15bef0b3, "__put_cred" },
	{ 0x7fab6cdc, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdff253cd, "dev_driver_string" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0xc200ede8, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8252cf01, "__pm_runtime_set_status" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x5f77472d, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x29bba48a, "pm_wakeup_dev_event" },
	{ 0x77ced67b, "device_reprobe" },
	{ 0xed1c26e2, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x287c3cf8, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xfef27edf, "debugfs_lookup_and_remove" },
	{ 0x5559cefc, "put_device" },
	{ 0x583481ae, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x1a8b7ec3, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0x2c28d44b, "phy_exit" },
	{ 0x7d6c74d6, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x92cdbce2, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0xb27a4b9f, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84bf7473, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x71cfe36c, "device_wakeup_disable" },
	{ 0x6dff9a72, "compat_ptr_ioctl" },
	{ 0xda9fc1c7, "cdev_add" },
	{ 0xcf669295, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc9f4f483, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xfa5a7368, "sysfs_update_group" },
	{ 0x4f57f7cc, "sysfs_unmerge_group" },
	{ 0x8a0527ac, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x962b8270, "device_wakeup_enable" },
	{ 0xce807a25, "up_write" },
	{ 0xb8127466, "bus_find_device" },
	{ 0x30214ad, "device_add" },
	{ 0xd4453e22, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "CF0FCB05B001A894EBAC0C3");
