#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6a13fb1, "fault_in_iov_iter_writeable" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xf1e046cc, "panic" },
	{ 0x917d953b, "__SCT__tp_func_wbc_writepage" },
	{ 0xc0a4fe69, "kobject_init_and_add" },
	{ 0x9c07c56a, "thaw_super" },
	{ 0xa440e976, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x67a5711b, "write_inode_now" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf4407647, "d_obtain_alias" },
	{ 0x1207e002, "sysfs_create_group" },
	{ 0x25b9d2c9, "posix_acl_chmod" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x55d74f30, "list_lru_count_one" },
	{ 0xe3db8edf, "__seq_open_private" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x22175b1, "folio_end_read" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x82253d0b, "block_dirty_folio" },
	{ 0x7cd24e09, "finish_no_open" },
	{ 0xb99b1c64, "iomap_bmap" },
	{ 0xbf82b228, "mpage_read_folio" },
	{ 0x7b7a0713, "bpf_trace_run1" },
	{ 0x39ef876f, "default_llseek" },
	{ 0xecc27fe2, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xf4246743, "kern_path" },
	{ 0xa1f1f221, "security_inode_invalidate_secctx" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x5183702d, "iomap_fiemap" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e41be00, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x85d847bf, "__block_write_full_folio" },
	{ 0xc381d048, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x3e17c266, "end_page_writeback" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x5ff9eb0e, "lockref_mark_dead" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x951557aa, "truncate_setsize" },
	{ 0x3804234f, "insert_inode_locked4" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7947d2e4, "kthread_create_on_node" },
	{ 0x9642b9ff, "set_page_dirty" },
	{ 0x9750da4b, "dlm_posix_get" },
	{ 0x903b627c, "list_lru_isolate_move" },
	{ 0x77f5ba86, "pv_ops" },
	{ 0x4cbfdb9f, "sysfs_remove_group" },
	{ 0x8f54d3eb, "bpf_trace_run3" },
	{ 0xb83f6df9, "iomap_read_folio" },
	{ 0x4101f83a, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3f2930f7, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8a6c5f1b, "dlm_lock" },
	{ 0xae0852ef, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x33ccb975, "debugfs_create_file" },
	{ 0x5a52f695, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf3a52972, "trace_event_buffer_reserve" },
	{ 0xc824f59d, "d_add" },
	{ 0x2ee43f1e, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbbf8bc49, "mpage_readahead" },
	{ 0x2b81d15f, "filemap_fdatawait_range" },
	{ 0x43ec5429, "dlm_posix_cancel" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb39f53b9, "init_user_ns" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7cc5f51d, "iomap_writepages" },
	{ 0xe091c977, "list_sort" },
	{ 0x819f3003, "alloc_pages" },
	{ 0xd6c81aa2, "inode_set_ctime_current" },
	{ 0x6348124d, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xaf2da4ad, "__folio_put" },
	{ 0x2a602f5b, "get_tree_bdev" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xccfbe508, "list_lru_walk_one" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0xbd6a8611, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf316d6e8, "deactivate_locked_super" },
	{ 0x2c89f17b, "dlm_posix_lock" },
	{ 0x2a2766a0, "touch_atime" },
	{ 0x7d333750, "__percpu_down_read" },
	{ 0xc990e947, "__lock_buffer" },
	{ 0x97a32ce4, "tag_pages_for_writeback" },
	{ 0x20f1fdbe, "kobject_uevent" },
	{ 0xb81262f8, "pid_nr_ns" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xab7ee2ab, "posix_acl_update_mode" },
	{ 0x627af8b4, "generic_file_open" },
	{ 0x9d19393a, "truncate_inode_pages_range" },
	{ 0xbedb638d, "__folio_lock" },
	{ 0x9888814a, "folio_wait_bit" },
	{ 0x69ee834f, "pagecache_get_page" },
	{ 0x2fe08e45, "is_bad_inode" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0x2ffc9bcf, "rcuwait_wake_up" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x17f425a7, "block_is_partially_uptodate" },
	{ 0x2d8ab157, "iomap_zero_range" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xbdee7f76, "__fs_parse" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb8e2ecc7, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x47ecdbb3, "seq_release_private" },
	{ 0x56d0117a, "seq_open" },
	{ 0xa18a796c, "dget_parent" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xfdd1e517, "__SCK__tp_func_wbc_writepage" },
	{ 0x66cdb1a5, "iget5_locked" },
	{ 0xaef142b6, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xbcb9d20c, "generic_update_time" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x573ad341, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x24af07a, "kmem_cache_alloc_lru" },
	{ 0xae06d7a1, "filemap_fault" },
	{ 0x167f9d46, "debugfs_create_dir" },
	{ 0x7820a2db, "__mark_inode_dirty" },
	{ 0xd44e3f6c, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdede74fd, "iomap_release_folio" },
	{ 0xb2400762, "iomap_is_partially_uptodate" },
	{ 0x549824fe, "seq_open_private" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x37f16254, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x8f9a9a4d, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x6b707f4b, "sb_min_blocksize" },
	{ 0x8a6bf488, "drop_nlink" },
	{ 0x8e80b88a, "fault_in_iov_iter_readable" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc7990555, "iomap_seek_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x4bef1c67, "empty_name" },
	{ 0x254d1972, "iget_failed" },
	{ 0x80a93eac, "fs_bio_set" },
	{ 0xd0043c3b, "address_space_init_once" },
	{ 0xab4216f3, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x8e1c4a7b, "kset_create_and_add" },
	{ 0xac309f03, "blkdev_issue_discard" },
	{ 0xa7234dd1, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x5aa678f3, "__tracepoint_wbc_writepage" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8c34b448, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x3841f715, "bh_uptodate_or_lock" },
	{ 0x2798877d, "filemap_fdatawrite" },
	{ 0x6cad4fbe, "iomap_readahead" },
	{ 0x75537da1, "generic_fillattr" },
	{ 0xf9137f90, "setattr_prepare" },
	{ 0x20f2bce2, "vfs_fsync_range" },
	{ 0xfa5717d7, "filemap_migrate_folio" },
	{ 0xadc772af, "may_setattr" },
	{ 0x760a0f4f, "yield" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x466b6986, "shrinker_alloc" },
	{ 0xe7c2023c, "clear_nlink" },
	{ 0x15ea37b0, "filemap_get_folios_tag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa8b7b730, "d_instantiate" },
	{ 0x7548eaad, "__bio_add_page" },
	{ 0x139ed5f8, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x17c82f97, "clear_inode" },
	{ 0x6e50b34a, "inode_to_bdi" },
	{ 0xb3bc204f, "bpf_trace_run4" },
	{ 0x4279596d, "iocb_bio_iopoll" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf37ca89, "lockref_put_not_zero" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1fce3b00, "fs_param_is_string" },
	{ 0xbcde1964, "__folio_batch_release" },
	{ 0xfc7401b5, "folio_unlock" },
	{ 0x4aea463f, "crc32_le_shift" },
	{ 0xd877dc3a, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xf4dcb040, "seq_release" },
	{ 0xfa195c84, "file_fdatawait_range" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2b742b9, "filemap_map_pages" },
	{ 0xfec195cc, "iomap_file_buffered_write" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe80d6513, "trace_raw_output_prep" },
	{ 0xbcf1177f, "forget_all_cached_acls" },
	{ 0x937733e3, "qid_valid" },
	{ 0xf129493a, "init_special_inode" },
	{ 0x228032ec, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9766539, "task_active_pid_ns" },
	{ 0x27ab5975, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x64fb803f, "generic_error_remove_folio" },
	{ 0xe7465e8d, "filemap_fdatawrite_range" },
	{ 0x2d0f108d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcd224e1d, "dlm_new_lockspace" },
	{ 0x6d29e4f9, "is_subdir" },
	{ 0xc3f1ca67, "d_make_root" },
	{ 0x6f2c228f, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8262a5df, "sb_set_blocksize" },
	{ 0x2489e583, "__put_task_struct" },
	{ 0x2914d9cb, "read_cache_folio" },
	{ 0x30293bb2, "invalidate_mapping_pages" },
	{ 0x4f960f78, "sync_filesystem" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x4b62826c, "dlm_unlock" },
	{ 0x35b1d20b, "end_buffer_read_sync" },
	{ 0x47662bb7, "folio_redirty_for_writepage" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe72e748e, "sget_fc" },
	{ 0x40fec43d, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xd4520bef, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0x4f43e9c3, "trace_event_raw_init" },
	{ 0x4808b636, "iomap_get_folio" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x6d3c0348, "unmap_mapping_range" },
	{ 0xfa44fa08, "ihold" },
	{ 0xc79450cd, "inode_dio_wait" },
	{ 0x1bbca67c, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x58539818, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xce8ce4eb, "finish_open" },
	{ 0xb012a291, "iput" },
	{ 0x59a73d0, "kset_unregister" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x5781d422, "seq_lseek" },
	{ 0xfc92b4db, "fs_param_is_enum" },
	{ 0x82158612, "fs_param_is_s32" },
	{ 0x9879bec3, "logfc" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0x91204c09, "iter_file_splice_write" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xe348a322, "filemap_release_folio" },
	{ 0x47fe05c7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x867dc292, "register_filesystem" },
	{ 0x5ee2aa12, "list_lru_count_node" },
	{ 0xedc85cd5, "kmem_cache_create" },
	{ 0x29b0b564, "iomap_dirty_folio" },
	{ 0x39d4936e, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x52639857, "sync_inode_metadata" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x81be09, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x1b3cc672, "submit_bh" },
	{ 0xd097d06b, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb06527f9, "d_prune_aliases" },
	{ 0xcf9f3328, "dlm_release_lockspace" },
	{ 0xb01e44e2, "wake_up_process" },
	{ 0xa282d578, "shrinker_free" },
	{ 0x2c1cde41, "trace_event_buffer_commit" },
	{ 0xba3a3e6f, "simple_inode_init_ts" },
	{ 0xc69d1c39, "iomap_invalidate_folio" },
	{ 0x12f5a81b, "bio_clone_blkg_association" },
	{ 0xebc4ccaf, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x341ae99a, "iomap_dio_rw" },
	{ 0x59515453, "locks_lock_inode_wait" },
	{ 0xec314d17, "inode_newsize_ok" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x71177337, "kill_block_super" },
	{ 0xe0e54d35, "deactivate_super" },
	{ 0x65b34aa9, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x62de976d, "block_invalidate_folio" },
	{ 0x938189f5, "iomap_seek_hole" },
	{ 0x78e57b27, "posix_acl_from_xattr" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9ed3f916, "dlm_posix_unlock" },
	{ 0xeac9582c, "try_to_free_buffers" },
	{ 0xdf16a8ca, "make_kuid" },
	{ 0x73555e83, "create_empty_buffers" },
	{ 0x6bec2d3, "truncate_inode_pages_final" },
	{ 0x3b909733, "generic_setlease" },
	{ 0x90b8363e, "fs_kobj" },
	{ 0x520c9830, "wait_for_stable_page" },
	{ 0x90e86dc4, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x22176297, "shrinker_register" },
	{ 0x596aee64, "__filemap_get_folio" },
	{ 0x44b46205, "locks_init_lock" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x7ad050b9, "qid_lt" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0xb8e23c26, "simple_nosetlease" },
	{ 0x167c933b, "__free_pages" },
	{ 0x7485d455, "kmem_cache_alloc" },
	{ 0x209454cc, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8cc893b8, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x5f26507f, "seq_vprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0xba1fa893, "submit_bio" },
	{ 0x2bb6d5ff, "find_ge_pid" },
	{ 0x1a899390, "freeze_super" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84bf7473, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfc07336d, "mark_buffer_write_io_error" },
	{ 0xc1e36f2e, "task_lookup_next_fdget_rcu" },
	{ 0xae0e7ee7, "inode_init_once" },
	{ 0xee70fa5c, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xa3dd237e, "copy_splice_read" },
	{ 0xb9fbd05d, "mark_buffer_async_write" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x863e9e6, "seq_escape_mem" },
	{ 0xc9f4f483, "kobject_uevent_env" },
	{ 0x527d04b5, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xddfae92a, "__brelse" },
	{ 0x59649362, "posix_acl_create" },
	{ 0x82921154, "kthread_stop_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4a424600, "perf_trace_run_bpf_submit" },
	{ 0xa24de0cf, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x975d2cd2, "shrink_dcache_sb" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x929e5734, "generic_file_read_iter" },
	{ 0xc362b0e8, "unlock_page" },
	{ 0x66af1fd1, "lockref_put_or_lock" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4e3567f7, "match_int" },
	{ 0xd4453e22, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd0d44625, "set_cached_acl" },
	{ 0x8ae675c3, "pid_task" },
	{ 0x5fa5a50b, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb76f6922, "bpf_trace_run5" },
	{ 0x48909909, "setattr_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xaf4830b8, "write_cache_pages" },
	{ 0xe22bdbb4, "file_update_time" },
	{ 0x4b0b677f, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb6bf3917, "set_nlink" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xdd37c7df, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2e8d9f1a, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x86097a49, "security_inode_init_security" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xfda0229, "seq_putc" },
	{ 0x8e7166b0, "from_kgid" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xce8ec1d0, "__bh_read" },
	{ 0x53f6b387, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x878b125a, "bio_chain" },
	{ 0x3471205a, "folio_wait_writeback" },
	{ 0xb73ddcf8, "blkdev_issue_zeroout" },
	{ 0x9c7230b8, "file_remove_privs" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "dlm,libcrc32c");


MODULE_INFO(srcversion, "A6547C4D7D079A83A2ECD9E");
