#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xdc4901e5, "");
SYMBOL_CRC(wpan_phy_for_each, 0x84f8a435, "");
SYMBOL_CRC(wpan_phy_new, 0x406c46aa, "");
SYMBOL_CRC(wpan_phy_register, 0xbe51ed02, "");
SYMBOL_CRC(wpan_phy_unregister, 0x12b0c071, "");
SYMBOL_CRC(wpan_phy_free, 0xb95140de, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xac2ca75f, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x58ecec6c, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xad5aeb9a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x7797f94a, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0xf9db842d, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x7966eb57, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x42a40975, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xc14bf313, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x54e25284, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x23fe8c12, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x974656c5, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xfba04a35, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0xd0d727e0, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x0476a92c, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0xcdb4ded4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5a43273, "nla_put" },
	{ 0x53f6b387, "trace_event_reg" },
	{ 0xc7eef51a, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x30552574, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7b7a0713, "bpf_trace_run1" },
	{ 0x14fe7319, "device_del" },
	{ 0xcee08a92, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc5224f14, "__pskb_pull_tail" },
	{ 0x176e7f04, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8f54d3eb, "bpf_trace_run3" },
	{ 0x3289eeea, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcc4cbff6, "get_net_ns_by_pid" },
	{ 0xf3a52972, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5aaa1f93, "device_match_name" },
	{ 0x442007ea, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xae45f775, "genl_unregister_family" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd4b3b26b, "genl_register_family" },
	{ 0xd30f857f, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xcde6edba, "register_pernet_device" },
	{ 0x645048a5, "get_net_ns_by_fd" },
	{ 0x4ef753c7, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0xe2fd131e, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb3bc204f, "bpf_trace_run4" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd47039c3, "dev_set_name" },
	{ 0x2162b42d, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe80d6513, "trace_raw_output_prep" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x2d0f108d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6f2c228f, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdbde0e8c, "device_initialize" },
	{ 0xb854120c, "genlmsg_put" },
	{ 0x4f43e9c3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x47fe05c7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x241aaa6a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x56984079, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x52ce7114, "device_rename" },
	{ 0x2c1cde41, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5559cefc, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xfea394f5, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdda6e6b1, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xad1adfc1, "__dev_get_by_index" },
	{ 0x4a424600, "perf_trace_run_bpf_submit" },
	{ 0xdc66912, "init_net" },
	{ 0xd81413f8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x30214ad, "device_add" },
	{ 0x40a95c37, "netlink_unicast" },
	{ 0x1cd6837b, "dev_get_by_index" },
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85c8a435, "skb_push" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8DF84FDC1F671F572405A77");
