#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x4395c6ba, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x5b3db354, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xbe0878da, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xf537ab75, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xcb4d6363, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x8d8d56a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfea394f5, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7485d455, "kmem_cache_alloc" },
	{ 0x177f78af, "skb_mpls_pop" },
	{ 0xf396643, "skb_vlan_pop" },
	{ 0x868846e9, "dst_init" },
	{ 0xb27a4b9f, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x53a9d7e7, "rtnl_link_unregister" },
	{ 0x4a424600, "perf_trace_run_bpf_submit" },
	{ 0x1d5f2b5a, "__skb_get_hash" },
	{ 0xdc66912, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x35fe2ce9, "ipv6_stub" },
	{ 0x4dfd8d4, "skb_mpls_update_lse" },
	{ 0xd81413f8, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x40a95c37, "netlink_unicast" },
	{ 0xb76f6922, "bpf_trace_run5" },
	{ 0xc27942fa, "dev_get_by_index_rcu" },
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85c8a435, "skb_push" },
	{ 0xdd37c7df, "kmem_cache_free" },
	{ 0x14ff3bc1, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x53f6b387, "trace_event_reg" },
	{ 0x596b37cb, "skb_ensure_writable" },
	{ 0x7b3ef346, "free_netdev" },
	{ 0xd0018a85, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x30552574, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf8382c42, "ethtool_op_get_link" },
	{ 0xeb7587db, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x976968ab, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5224f14, "__pskb_pull_tail" },
	{ 0xcfa45558, "nf_ct_delete" },
	{ 0xe7985e96, "nf_conncount_init" },
	{ 0xfbc3ab8d, "skb_vlan_push" },
	{ 0xb523a198, "dev_get_tstats64" },
	{ 0x8ba900e, "netif_rx" },
	{ 0xe4807460, "__netdev_alloc_skb" },
	{ 0xb50651b6, "netdev_master_upper_dev_link" },
	{ 0xd3e2d943, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x8dc9b935, "inet_proto_csum_replace16" },
	{ 0x176e7f04, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4105b3d, "skb_scrub_packet" },
	{ 0x8100fffc, "nf_ct_deliver_cached_events" },
	{ 0x37055201, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe34bbf0d, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9e7b0fc5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf3a52972, "trace_event_buffer_reserve" },
	{ 0x36d33a07, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2c6f92e, "inet_proto_csum_replace4" },
	{ 0x21cc0e6b, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x486fd68b, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x72327cb5, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x442007ea, "dev_get_by_name" },
	{ 0x399db204, "skb_clone" },
	{ 0x676b2653, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd9401e82, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2e297782, "peernet2id_alloc" },
	{ 0xac50571e, "nf_ct_get_tuplepr" },
	{ 0xde4b6e5a, "netdev_rx_handler_register" },
	{ 0x11938596, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xae45f775, "genl_unregister_family" },
	{ 0xb17acdc8, "dev_disable_lro" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xdabba1dc, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd4b3b26b, "genl_register_family" },
	{ 0x1b23233d, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x78eca4be, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x8e65521c, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x4107cdbc, "skb_mpls_push" },
	{ 0xcde6edba, "register_pernet_device" },
	{ 0x4e6a8640, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x6e7f1d66, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xab4216f3, "kmem_cache_destroy" },
	{ 0x6ad37046, "__skb_vlan_pop" },
	{ 0x7a013185, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x497afbe, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x683ee9b4, "nf_ct_ext_add" },
	{ 0xb2c94cf3, "__skb_get_hash_symmetric" },
	{ 0xa0dd646c, "nsh_pop" },
	{ 0x4ded3f81, "nf_conntrack_find_get" },
	{ 0xf8234f94, "nf_ct_set_timeout" },
	{ 0x9767f86c, "dev_get_stats" },
	{ 0xfcc9d052, "__nla_put" },
	{ 0xcd7cce5e, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x19e097fe, "dev_fill_metadata_dst" },
	{ 0xb3bc204f, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x89e23359, "skb_copy_bits" },
	{ 0xdcf91c0d, "nf_ct_handle_fragments" },
	{ 0x189ba591, "eth_mac_addr" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x194a3918, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd25c174, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8c00c614, "nf_ct_nat" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf4b06f2d, "skb_eth_pop" },
	{ 0xe80d6513, "trace_raw_output_prep" },
	{ 0x1f0d6734, "skb_gso_validate_mac_len" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x5856f782, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x8d9d5eca, "nf_ct_helper" },
	{ 0x2d0f108d, "__trace_trigger_soft_disabled" },
	{ 0xcda7dc93, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6f2c228f, "trace_event_printf" },
	{ 0xece1bede, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x89aef394, "rtnl_link_register" },
	{ 0x77f0a3aa, "nf_connlabels_put" },
	{ 0xb854120c, "genlmsg_put" },
	{ 0xed041b7c, "___pskb_trim" },
	{ 0x4f43e9c3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc871279d, "dev_set_promiscuity" },
	{ 0xa51cb9fa, "nf_ct_destroy_timeout" },
	{ 0x42e35272, "nf_ct_add_helper" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0xe60ae095, "nf_conntrack_helper_put" },
	{ 0x959345e5, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x31400da1, "nf_ct_skb_network_trim" },
	{ 0xfcae634d, "unregister_netdevice_queue" },
	{ 0xedc85cd5, "kmem_cache_create" },
	{ 0x20622dfe, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xc195219d, "ether_setup" },
	{ 0x56984079, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6501ea0e, "pskb_expand_head" },
	{ 0xb0a91e49, "skb_csum_hwoffload_help" },
	{ 0x2c1cde41, "trace_event_buffer_commit" },
	{ 0xa4708ac7, "dev_addr_mod" },
	{ 0xd66cca25, "nf_connlabels_replace" },
	{ 0x3b33e7b9, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b370d55, "alloc_netdev_mqs" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe621f080, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xc93705d1, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc1ccadba, "skb_eth_push" },
	{ 0xadefec10, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "F25440F5110EB1159F86ACA");
