#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x4e5ed2e4, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x103a461e, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x9c400613, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xe7560b9b, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x14992e66, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xefc53495, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xa56529b7, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x9e85758d, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xa2ca19fc, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x44d8939a, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x2bf64065, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x49e52207, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x237a0c3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc6a2e35a, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6d64caa2, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xffb38de1, "crypto_grab_aead" },
	{ 0xe7e6cae9, "crypto_grab_shash" },
	{ 0x2e7fe701, "shash_no_setkey" },
	{ 0x748027f9, "ahash_register_instance" },
	{ 0x8cf9ff7, "crypto_grab_skcipher" },
	{ 0xb923817b, "skcipher_register_instance" },
	{ 0xe7ebf39f, "aead_register_instance" },
	{ 0x1321fec3, "crypto_skcipher_decrypt" },
	{ 0x65bbf4e9, "crypto_skcipher_encrypt" },
	{ 0x9ba248fd, "shash_ahash_digest" },
	{ 0x786ba55d, "shash_ahash_finup" },
	{ 0xc5428bbb, "crypto_shash_final" },
	{ 0x2a390c84, "shash_ahash_update" },
	{ 0x7df33229, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x857241ce, "crypto_alloc_skcipher" },
	{ 0x6d227604, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae9031d5, "crypto_alloc_ahash" },
	{ 0x6d7d72c3, "crypto_alloc_aead" },
	{ 0x37abadf, "crypto_skcipher_setkey" },
	{ 0xae60aac0, "crypto_spawn_tfm2" },
	{ 0xa5553ca9, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x8887fa3a, "crypto_shash_setkey" },
	{ 0xad46e82a, "crypto_shash_import" },
	{ 0xccfb2f79, "crypto_shash_export" },
	{ 0x7f98205a, "crypto_clone_shash" },
	{ 0x38054a38, "crypto_aead_setauthsize" },
	{ 0xb53126cf, "crypto_aead_setkey" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x6f73f77a, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x87561517, "crypto_enqueue_request" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A6EA1567628D165C2BEE8F");
