#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x302e8116, "sata_link_resume" },
	{ 0xa8086dc, "sata_link_hardreset" },
	{ 0x385485d2, "ata_bmdma_port_start" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xd2de5755, "dmam_alloc_attrs" },
	{ 0x7385c9f7, "pcim_enable_device" },
	{ 0x382e42f5, "ata_pci_bmdma_prepare_host" },
	{ 0xaa0b6ff5, "pcim_iomap_regions" },
	{ 0xd6446d6e, "pci_set_master" },
	{ 0xb6b3b1e4, "ata_pci_sff_activate_host" },
	{ 0x536a5a9b, "ata_print_version" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0x8df73310, "_dev_notice" },
	{ 0x675ea28, "pci_enable_msi" },
	{ 0x7889b18d, "pci_unregister_driver" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x27d2e157, "ata_bmdma_qc_prep" },
	{ 0x9826fbea, "dma_set_coherent_mask" },
	{ 0xd07efcea, "__tracepoint_ata_tf_load" },
	{ 0x478cc9ad, "__tracepoint_ata_exec_command" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x46047827, "__SCT__tp_func_ata_exec_command" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf2b93c8, "__SCT__tp_func_ata_tf_load" },
	{ 0xbe5c03b6, "ata_bmdma_qc_issue" },
	{ 0x76f2c05a, "__tracepoint_ata_bmdma_status" },
	{ 0x1bfd1e88, "sata_scr_read" },
	{ 0x1f8bb1db, "sata_scr_write" },
	{ 0xc3e1021c, "__SCT__tp_func_ata_bmdma_status" },
	{ 0x981d409, "param_ops_bool" },
	{ 0xcdd6eb60, "ata_std_qc_defer" },
	{ 0xe27977ea, "ata_bmdma_port_ops" },
	{ 0x9df4e946, "ata_scsi_queuecmd" },
	{ 0xce69a256, "ata_scsi_ioctl" },
	{ 0x7b4f74af, "ata_scsi_slave_alloc" },
	{ 0xcae0c510, "ata_scsi_slave_destroy" },
	{ 0xe297d286, "ata_scsi_dma_need_drain" },
	{ 0x9629d06f, "ata_std_bios_param" },
	{ 0x60dce85d, "ata_scsi_unlock_native_capacity" },
	{ 0x12a44540, "ata_ncq_sdev_groups" },
	{ 0xf949c3e6, "ata_common_sdev_groups" },
	{ 0x42915392, "ata_pci_remove_one" },
	{ 0x7422f92a, "ata_pci_device_suspend" },
	{ 0x141ddad, "__SCK__tp_func_ata_bmdma_status" },
	{ 0x303fd45a, "__SCK__tp_func_ata_exec_command" },
	{ 0xe5c99b90, "__SCK__tp_func_ata_tf_load" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3fdb10e, "__pci_register_driver" },
	{ 0xcc452236, "pci_read_config_byte" },
	{ 0x59688d, "pci_write_config_byte" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab91462f, "ata_pci_device_do_resume" },
	{ 0xb51c68d, "ata_host_resume" },
	{ 0x103082d5, "pci_read_config_dword" },
	{ 0x4e439d30, "pci_write_config_dword" },
	{ 0xa56a9f76, "ata_scsi_slave_config" },
	{ 0xafddd545, "ata_id_c_string" },
	{ 0xf2d56721, "ata_scsi_change_queue_depth" },
	{ 0x92997ed8, "_printk" },
	{ 0xe7fff9d, "ata_bmdma_stop" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb19b445, "ioread8" },
	{ 0x2af65864, "ata_sff_check_status" },
	{ 0x72944c43, "ata_bmdma_port_intr" },
	{ 0x86fca212, "ata_port_freeze" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x802c79e0, "ata_bmdma_error_handler" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5b20e357, "dma_set_mask" },
	{ 0x69d2682f, "blk_queue_segment_boundary" },
	{ 0x2f59831, "blk_queue_max_segments" },
	{ 0x49f769f6, "ata_qc_get_active" },
	{ 0x2a7babe3, "ata_qc_complete_multiple" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x36b76238, "ata_ehi_clear_desc" },
	{ 0x332d31d5, "__ata_ehi_push_desc" },
	{ 0xa2499770, "ata_ehi_push_desc" },
	{ 0x492b6b8, "ata_port_abort" },
	{ 0x80867db5, "ata_bmdma_irq_clear" },
	{ 0xbcbbc7f7, "ata_sff_tf_read" },
	{ 0xbedfa417, "ata_bmdma_post_internal_cmd" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v000010DEd0000008Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000054sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000055sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000003Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000266sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000267sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000037Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000037Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000003E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000003F6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000003F7sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "44FEF12B34956E884BF9BD1");
