#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0xb191d7b7, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0xd153ab10, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a66534f, "usb_queue_reset_device" },
	{ 0x2daecd6c, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6dff9a72, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x1523f1b9, "usb_free_coherent" },
	{ 0xc8d0d6da, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9fbc63d2, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x6d290bf4, "hid_hw_request" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x58090aee, "hid_hw_open" },
	{ 0x39aaf506, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfae4cd8, "usb_register_dev" },
	{ 0x1099a07a, "hid_check_keys_pressed" },
	{ 0xbe4adde7, "fasync_helper" },
	{ 0x4d6e458d, "usb_unpoison_urb" },
	{ 0x9e929768, "usb_autopm_put_interface_async" },
	{ 0xdefcd5d, "hid_hw_close" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xde24aa9d, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x7734e433, "_dev_warn" },
	{ 0xa5195d9d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe436ee09, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa809f61d, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45d7a6a9, "usb_unlink_urb" },
	{ 0x8df73310, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1a5aaf01, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x857a1265, "input_ff_create" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x51be5063, "usb_deregister_dev" },
	{ 0x56361a06, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x94813946, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0xc52f642e, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xde9b7590, "hid_output_report" },
	{ 0x396e47fc, "hid_lookup_quirk" },
	{ 0x11c314df, "usb_alloc_urb" },
	{ 0xa442d72b, "device_set_wakeup_enable" },
	{ 0x58b64c0f, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5014f95e, "usb_free_urb" },
	{ 0x7df33229, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xbf73bb43, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9e9b7741, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6c05592c, "kill_fasync" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0x98332ebf, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0xd8ea2ecc, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3be8195, "hidinput_count_leds" },
	{ 0xa2fed3a1, "usb_autopm_put_interface_no_suspend" },
	{ 0xb8355a6d, "hid_driver_resume" },
	{ 0xabf1b9fa, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa3866c92, "hid_allocate_device" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xde7c6dbb, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb349a410, "usb_interrupt_msg" },
	{ 0xef803f10, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcbad3c01, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x245bec39, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "0E906201F7BD2818C98F47A");
