#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0x9ae960f2, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0x3aaad92b, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0xbb86a437, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0x9271acdd, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0x64881cb7, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0x2ac1d732, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0xb7c399af, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0x1a9ca415, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0x55d33d21, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0x94dff9c3, "_gpl");
SYMBOL_CRC(hsi_async, 0x3c4ea527, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0xf5f3bcc6, "_gpl");
SYMBOL_CRC(hsi_release_port, 0x68deb7a6, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0x79992f0e, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0xf9190f69, "_gpl");
SYMBOL_CRC(hsi_event, 0x7120ae75, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0x588f4c28, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x8967fa6a, "device_for_each_child" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x5559cefc, "put_device" },
	{ 0xb27a4b9f, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x8a0527ac, "bus_unregister" },
	{ 0x30214ad, "device_add" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x17bd3c98, "device_register" },
	{ 0x14fe7319, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7047a57, "kmalloc_trace" },
	{  0xe3731, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x4f9ba15d, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xcd7cce5e, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd47039c3, "dev_set_name" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x1ccfe4aa, "device_unregister" },
	{ 0xdbde0e8c, "device_initialize" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "80252AC1B5A629810A93A41");
