#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0x86d75514, "mma9551_read_accel_chan" },
	{ 0xb4aed6e9, "mma9551_read_status_words" },
	{ 0xaab57ceb, "mma9551_gpio_config" },
	{ 0x5f22e6a0, "i2c_client_get_device_id" },
	{ 0xc6df134e, "devm_iio_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbe39f349, "mma9551_read_version" },
	{ 0xb23c474, "devm_request_threaded_irq" },
	{ 0x583481ae, "pm_runtime_enable" },
	{ 0x27c12ecf, "pm_runtime_set_autosuspend_delay" },
	{ 0xc4475c98, "__pm_runtime_use_autosuspend" },
	{ 0x8b852a24, "__iio_device_register" },
	{ 0xb6bb7236, "mma9551_read_config_words" },
	{ 0xb40c87ab, "mma9551_app_reset" },
	{ 0xd8ba41bc, "mma9551_write_config_words" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xda03adb7, "is_acpi_device_node" },
	{ 0x5c28cda, "acpi_match_device" },
	{ 0x2f7e9bba, "iio_push_event" },
	{ 0x1a85069a, "iio_enum_read" },
	{ 0x35f704e0, "iio_enum_write" },
	{ 0xc8ebcbb0, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8989e40, "i2c_register_driver" },
	{ 0x3a0664fc, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x2f2e5496, "iio_device_unregister" },
	{ 0xcf2f73d5, "__pm_runtime_disable" },
	{ 0x8252cf01, "__pm_runtime_set_status" },
	{ 0x7d419814, "iio_get_time_ns" },
	{ 0xb110d19c, "mma9551_write_config_word" },
	{ 0x154f91e0, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd0e45163, "mma9551_set_power_state" },
	{ 0x506d064, "i2c_del_driver" },
	{ 0xd270196a, "mma9551_read_status_word" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "F1242C485FB389CECBDB67B");
