#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xe405b935, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x70aa4ae6, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x875ba191, "");
SYMBOL_CRC(rdma_res_to_id, 0x52732c2a, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xcdf9a25b, "");
SYMBOL_CRC(rdma_create_user_id, 0x9e83c185, "");
SYMBOL_CRC(rdma_create_qp, 0x6e639c70, "");
SYMBOL_CRC(rdma_destroy_qp, 0x7cdd94d5, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x1e300f2b, "");
SYMBOL_CRC(rdma_destroy_id, 0xbefae8a2, "");
SYMBOL_CRC(rdma_get_service_id, 0xa0b97b3e, "");
SYMBOL_CRC(rdma_read_gids, 0x5cc14c44, "");
SYMBOL_CRC(rdma_set_service_type, 0xb8442312, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xa0578973, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xffe89b06, "");
SYMBOL_CRC(rdma_set_ib_path, 0xf332971a, "");
SYMBOL_CRC(rdma_resolve_route, 0xd72aefb6, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xe8205559, "");
SYMBOL_CRC(rdma_set_afonly, 0x39d2e540, "");
SYMBOL_CRC(rdma_listen, 0x0badd283, "");
SYMBOL_CRC(rdma_resolve_addr, 0x5fd542ca, "");
SYMBOL_CRC(rdma_bind_addr, 0x7dc4e223, "");
SYMBOL_CRC(rdma_connect_locked, 0xb384411f, "");
SYMBOL_CRC(rdma_connect, 0x971c3067, "");
SYMBOL_CRC(rdma_connect_ece, 0x5228cc29, "");
SYMBOL_CRC(rdma_accept, 0xb77d5508, "");
SYMBOL_CRC(rdma_accept_ece, 0x0df58110, "");
SYMBOL_CRC(rdma_lock_handler, 0xee379f67, "");
SYMBOL_CRC(rdma_unlock_handler, 0xbd0b4f22, "");
SYMBOL_CRC(rdma_notify, 0x0f016038, "");
SYMBOL_CRC(rdma_reject, 0x666ef1fe, "");
SYMBOL_CRC(rdma_disconnect, 0xdbec56c2, "");
SYMBOL_CRC(rdma_join_multicast, 0xc7a983d0, "");
SYMBOL_CRC(rdma_leave_multicast, 0xf350e9a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xebbb697, "rdma_addr_cancel" },
	{ 0xff558466, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xd69754d6, "ib_sa_get_mcmember_rec" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x7d455f82, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xecbdc3cf, "ib_sa_path_rec_get" },
	{ 0x3c74fc3a, "ib_create_cm_id" },
	{ 0x6348eef5, "__ip_mc_dec_group" },
	{ 0x5a6e1088, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4a424600, "perf_trace_run_bpf_submit" },
	{ 0x2d9950cd, "ib_init_ah_from_mcmember" },
	{ 0x12c34b90, "rdma_destroy_ah_attr" },
	{ 0x75e1f635, "ib_set_client_data" },
	{ 0xdc66912, "init_net" },
	{ 0x444d52e7, "ib_get_cached_pkey" },
	{ 0xb6b3b4e2, "configfs_register_subsystem" },
	{ 0xcfbcda30, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x5e09385c, "rdma_put_gid_attr" },
	{ 0xb57104d3, "config_group_init_type_name" },
	{ 0x1cd6837b, "dev_get_by_index" },
	{ 0xff960622, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe30b271d, "ib_send_cm_rep" },
	{ 0x53f6b387, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7caf05a5, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x7b7a0713, "bpf_trace_run1" },
	{ 0x9b6e4579, "ib_destroy_qp_user" },
	{ 0x2e3bdc3c, "unregister_pernet_subsys" },
	{ 0xda16edf3, "ib_cm_init_qp_attr" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x7f1c06ae, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff57678f, "rdma_restrack_set_name" },
	{ 0xebddfd91, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x59392742, "ib_get_cached_port_state" },
	{ 0xfdccde66, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8380389c, "rdma_restrack_del" },
	{ 0x51aca0fa, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x8f54d3eb, "bpf_trace_run3" },
	{ 0x3289eeea, "__put_net" },
	{ 0xe74077c5, "rdma_restrack_parent_name" },
	{ 0x9591cf8c, "iw_cm_accept" },
	{ 0xf3a52972, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe18842e3, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x400b06bd, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x62552e56, "iw_cm_init_qp_attr" },
	{ 0xd9401e82, "dst_release" },
	{ 0x9340cfb, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2d522046, "ib_send_cm_dreq" },
	{ 0xd7bd05aa, "ib_send_cm_req" },
	{ 0x64a83277, "ib_create_qp_kernel" },
	{ 0xe346596b, "ib_sa_join_multicast" },
	{ 0xfb9bbaad, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf4784cee, "rdma_get_gid_attr" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x42737d48, "rdma_restrack_new" },
	{ 0x88be61d4, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6d92fa70, "iw_cm_listen" },
	{ 0x9497d705, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xce38cf1a, "rdma_copy_src_l2_addr" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0xada271cb, "rdma_resolve_ip" },
	{ 0xac7551a9, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x52e7c703, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6a156dd, "ib_unregister_client" },
	{ 0xd5fba002, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7397ed26, "ib_send_cm_sidr_rep" },
	{ 0xb3bc204f, "bpf_trace_run4" },
	{ 0xecd540d8, "config_group_init" },
	{ 0x4e8ebd18, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xd5106979, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe80d6513, "trace_raw_output_prep" },
	{ 0xbe6b8bd4, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2d0f108d, "__trace_trigger_soft_disabled" },
	{ 0x6f2c228f, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x4f43e9c3, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76e224c7, "rdma_query_gid" },
	{ 0x32a4576a, "rt6_lookup" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x712cb532, "rdma_translate_ip" },
	{ 0x47fe05c7, "bpf_trace_run2" },
	{ 0x6ae2743a, "rdma_dev_access_netns" },
	{ 0xd4014605, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2a52b846, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40e18c88, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd38814f2, "register_pernet_subsys" },
	{ 0x2c1cde41, "trace_event_buffer_commit" },
	{ 0x7a32fba4, "ip_mc_inc_group" },
	{ 0xf206e9ca, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xb5aa7cdf, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xcd12f2cf, "iw_cm_connect" },
	{ 0x92fb3ea1, "rdma_restrack_add" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_cm,configfs,iw_cm");


MODULE_INFO(srcversion, "043B02891FEA56C9EC6B764");
