#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4475c98, "__pm_runtime_use_autosuspend" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79eb98fb, "devm_nvmem_register" },
	{ 0x49568976, "__video_register_device" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc856058e, "__pm_runtime_suspend" },
	{ 0xcf2f73d5, "__pm_runtime_disable" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x27a39842, "vb2_buffer_done" },
	{ 0xbce46c69, "kthread_stop" },
	{ 0x459c4c3c, "regmap_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x1a46c9b0, "vb2_plane_vaddr" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0xe4518351, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd2146338, "__pm_runtime_resume" },
	{ 0x3985bf59, "video_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7947d2e4, "kthread_create_on_node" },
	{ 0xb01e44e2, "wake_up_process" },
	{ 0x31273e57, "vb2_ioctl_reqbufs" },
	{ 0xf17cfb88, "vb2_ioctl_querybuf" },
	{ 0x344d5307, "vb2_ioctl_qbuf" },
	{ 0x2591079d, "vb2_ioctl_dqbuf" },
	{ 0xdf528961, "vb2_ioctl_create_bufs" },
	{ 0xa0b80a98, "vb2_ioctl_prepare_buf" },
	{ 0x83192b09, "vb2_ioctl_streamon" },
	{ 0xd77186c9, "vb2_ioctl_streamoff" },
	{ 0x9e2a5505, "vb2_ops_wait_prepare" },
	{ 0xaa0e1bb7, "vb2_ops_wait_finish" },
	{ 0x7fb578f8, "vb2_fop_read" },
	{ 0x86ff6e75, "vb2_fop_poll" },
	{ 0x763564a7, "video_ioctl2" },
	{ 0x32ce141b, "vb2_fop_mmap" },
	{ 0x887191aa, "v4l2_fh_open" },
	{ 0x651ef092, "vb2_fop_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5363b070, "regmap_bulk_read" },
	{ 0x1357648a, "regmap_update_bits_base" },
	{ 0xbe4367fd, "regmap_get_device" },
	{ 0x7e9b744f, "devm_hwmon_device_register_with_info" },
	{ 0xe8989e40, "i2c_register_driver" },
	{ 0xe2984965, "v4l2_device_unregister" },
	{ 0xfbe2e113, "regmap_exit" },
	{ 0x37a0cba, "kfree" },
	{ 0x69ff1129, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x506d064, "i2c_del_driver" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x44bddaa2, "i2c_get_match_data" },
	{ 0x24878f7d, "__regmap_init_i2c" },
	{ 0x94db24c5, "v4l2_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x478b620c, "vb2_vmalloc_memops" },
	{ 0xb2032fa0, "vb2_queue_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8252cf01, "__pm_runtime_set_status" },
	{ 0x583481ae, "pm_runtime_enable" },
	{ 0x27c12ecf, "pm_runtime_set_autosuspend_delay" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-common,videobuf2-v4l2,videobuf2-vmalloc");

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "721F0D9ABAFFFFD73498686");
