#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0xb6ca6eb0, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0xc662f78d, "_gpl");
SYMBOL_CRC(sdhci_reset, 0xd4639073, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x95e630b8, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x8cbfaf87, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0x5c6c1956, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x9ac1c8ee, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x289535a5, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0xf198aa95, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0xd13555ef, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x64428cec, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0xd54b2bc4, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0xa5706863, "_gpl");
SYMBOL_CRC(sdhci_request, 0x2b8d9a8f, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x1ee55edf, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0xd1d10b36, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xb9665b88, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x5b6f220d, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x8fbbc696, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x0184ef48, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0xe9770d62, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x0677601b, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x9e7603e5, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x7b27beef, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0xe8fd6e46, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x2539fbbb, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0xba8c19f2, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0x74156a8f, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xe4f7cd03, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x8900cfd7, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0xa3f75537, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x4a148b2c, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x68a13cf9, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x7ec0bacb, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xef33bdc4, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0xdae67237, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x0b45fdb2, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0xa18e6445, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0xcbbdc8ee, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x146e6d0e, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0xf292373b, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x16cbed9c, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0x518fea2c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0xca122d55, "dma_sync_single_for_device" },
	{ 0xb1ae82dd, "dma_map_sg_attrs" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x626196ed, "dma_unmap_sg_attrs" },
	{ 0xe0929896, "mmc_alloc_host" },
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0xe7f3c9e2, "regulator_disable" },
	{ 0xd9758895, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf9da70b, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x9379ed28, "mmc_send_abort_tuning" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5e287c6a, "mmc_regulator_set_ocr" },
	{ 0xe229a492, "mmc_request_done" },
	{ 0x374d5d92, "dma_sync_single_for_cpu" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x1bdb21f2, "mmc_gpio_get_cd" },
	{ 0xe8254935, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3506b7c7, "led_classdev_register_ext" },
	{ 0x732835e3, "mmc_add_host" },
	{ 0xd05accbc, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x27d0d5d8, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x958eb032, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5fb0dc25, "mmc_can_gpio_ro" },
	{ 0xf6e7b34c, "mmc_gpio_get_ro" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa826277c, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72b58108, "regulator_is_supported_voltage" },
	{ 0x7e9170f6, "regulator_get_current_limit" },
	{ 0xaa5da34a, "regulator_enable" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd361a2a5, "dma_map_page_attrs" },
	{ 0xf267b973, "devm_kfree" },
	{ 0xa1c07631, "mmc_regulator_get_supply" },
	{ 0x393cef34, "dma_max_mapping_size" },
	{ 0x5b20e357, "dma_set_mask" },
	{ 0x9826fbea, "dma_set_coherent_mask" },
	{ 0xdff253cd, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x294311e2, "mmc_detect_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbbe0b2c3, "sg_miter_start" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x542fcd23, "dma_sync_sg_for_cpu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4568519, "sdio_signal_irq" },
	{ 0xb3109df7, "mmc_command_done" },
	{ 0x65becd5a, "sg_miter_next" },
	{ 0x8d94eef7, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7df33229, "param_ops_uint" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "21DAC731738E33EF68050CA");
