#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb80f34ca, "dma_free_attrs" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5f15affd, "unregister_virtio_driver" },
	{ 0xed735ebc, "virtqueue_get_vring_size" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xadd5af86, "dma_alloc_attrs" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0xb0972eca, "__dynamic_netdev_dbg" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x6fbac1af, "netif_carrier_on" },
	{ 0x4eafca7d, "napi_enable" },
	{ 0x8ab18cbd, "napi_schedule_prep" },
	{ 0x2bf5a3fb, "__napi_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdbbba9c3, "netdev_info" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e8e5c47, "netif_receive_skb" },
	{ 0x9f597502, "vringh_complete_kern" },
	{ 0xb98c2548, "vringh_getdesc_kern" },
	{ 0xe4807460, "__netdev_alloc_skb" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0x34392844, "napi_complete_done" },
	{ 0x8f8840e8, "vringh_notify_enable_kern" },
	{ 0x932af7d7, "vringh_notify_disable_kern" },
	{ 0x9a81a3f6, "vringh_need_notify_kern" },
	{ 0xb8346153, "netdev_err" },
	{ 0xe5ba7dbf, "netdev_warn" },
	{ 0x97c5f48f, "netif_carrier_off" },
	{ 0x5b370d55, "alloc_netdev_mqs" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa01d115a, "virtqueue_disable_cb" },
	{ 0xd846a528, "netif_napi_add_weight" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x497afbe, "register_netdevice" },
	{ 0x349cba85, "strchr" },
	{ 0x167f9d46, "debugfs_create_dir" },
	{ 0x774f6675, "debugfs_create_u32" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7b3ef346, "free_netdev" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x89e23359, "skb_copy_bits" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9dcc22bb, "virtqueue_get_buf" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6d7eef05, "netif_tx_wake_queue" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x53013b, "virtqueue_add_outbuf" },
	{ 0x9467a0cd, "virtqueue_kick" },
	{ 0x6b1a4d16, "virtqueue_enable_cb" },
	{ 0x560386fc, "netif_tx_stop_all_queues" },
	{ 0x8dedfa1e, "napi_disable" },
	{ 0x34dff93d, "virtqueue_detach_unused_buf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3aa8f47, "__register_virtio_driver" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x46adf461, "dev_close" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2e8d9f1a, "debugfs_remove" },
	{ 0x1271e3a8, "virtio_reset_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x51edf005, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "vringh");

MODULE_ALIAS("virtio:d0000000Cv*");

MODULE_INFO(srcversion, "D8782A550133F35EE45375F");
