#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_phylink_mac_config, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_down, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_up, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0xc5d73ff9, "");
SYMBOL_CRC(b53_enable_port, 0x4fea5539, "");
SYMBOL_CRC(b53_disable_port, 0xbdf221b4, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0xad080eef, "");
SYMBOL_CRC(b53_configure_vlan, 0xa9fd8a4a, "");
SYMBOL_CRC(b53_get_strings, 0xf355d021, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x25974211, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x57235ead, "");
SYMBOL_CRC(b53_get_sset_count, 0x9c4d44f2, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x37df0a2a, "");
SYMBOL_CRC(b53_port_event, 0x7c032035, "");
SYMBOL_CRC(b53_phylink_mac_config, 0xfb9d923a, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0x64eb659d, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0x499463a9, "");
SYMBOL_CRC(b53_vlan_filtering, 0x9c59b366, "");
SYMBOL_CRC(b53_vlan_add, 0x9614ddaf, "");
SYMBOL_CRC(b53_vlan_del, 0x01721109, "");
SYMBOL_CRC(b53_fdb_add, 0xfb3cd2a5, "");
SYMBOL_CRC(b53_fdb_del, 0xf33bd660, "");
SYMBOL_CRC(b53_fdb_dump, 0x425bb579, "");
SYMBOL_CRC(b53_mdb_add, 0x8b9ce196, "");
SYMBOL_CRC(b53_mdb_del, 0x71cc3201, "");
SYMBOL_CRC(b53_br_join, 0x86d1620b, "");
SYMBOL_CRC(b53_br_leave, 0x99d19e80, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x47e67298, "");
SYMBOL_CRC(b53_br_fast_age, 0x43ec9ddd, "");
SYMBOL_CRC(b53_br_flags_pre, 0xd94b572e, "");
SYMBOL_CRC(b53_br_flags, 0x9cdda952, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xb5f94c3f, "");
SYMBOL_CRC(b53_mirror_add, 0xed212285, "");
SYMBOL_CRC(b53_mirror_del, 0x85aa6452, "");
SYMBOL_CRC(b53_eee_init, 0x55993ef0, "");
SYMBOL_CRC(b53_get_mac_eee, 0x24beab86, "");
SYMBOL_CRC(b53_set_mac_eee, 0x882edc61, "");
SYMBOL_CRC(b53_switch_alloc, 0xa19668b3, "");
SYMBOL_CRC(b53_switch_detect, 0x3e75f1f3, "");
SYMBOL_CRC(b53_switch_register, 0x853ab7ee, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8931cf28, "dsa_devlink_resources_unregister" },
	{ 0xb684cb9a, "dsa_devlink_resource_register" },
	{ 0x9d92119f, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7734e433, "_dev_warn" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x50294a8e, "mdiobus_get_phy" },
	{ 0x605e1789, "phy_ethtool_get_stats" },
	{ 0xd310f20e, "phy_ethtool_get_sset_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x72f6b19b, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xda28eb9a, "dsa_port_phylink_mac_change" },
	{ 0x1e420884, "phy_init_eee" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0x2e554d31, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x5518c4e1, "gpio_to_desc" },
	{ 0x357614aa, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "818B1759B140861FCAA9B5E");
