#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca36a99b, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe95b8b9f, "__mdiobus_read" },
	{ 0x45914be3, "bcm_phy_read_exp" },
	{ 0x817f522a, "bcm_phy_write_exp" },
	{ 0x76a941b, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9603bbb8, "bcm_phy_get_sset_count" },
	{ 0xcb216649, "devm_gpiod_get" },
	{ 0x274c5188, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0xb23c474, "devm_request_threaded_irq" },
	{ 0xce37ff71, "device_set_wakeup_capable" },
	{ 0x962b8270, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x29bba48a, "pm_wakeup_dev_event" },
	{ 0x383e7b7f, "genphy_resume" },
	{ 0xb6f4e37, "genphy_soft_reset" },
	{ 0x196936fb, "bcm_phy_config_intr" },
	{ 0x8db479ed, "bcm_phy_handle_interrupt" },
	{ 0xcad7f234, "bcm_phy_get_strings" },
	{ 0x72eb53b, "bcm_phy_led_brightness_set" },
	{ 0x4d466f93, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc11967f9, "phy_drivers_register" },
	{ 0x7b8547ab, "mdiobus_read" },
	{ 0x792f8ba1, "genphy_read_status" },
	{ 0xfd93001, "phy_trigger_machine" },
	{ 0x8fb29e29, "phy_error" },
	{ 0x490a5419, "bcm54xx_auxctl_read" },
	{ 0x5dbbfc46, "bcm54xx_auxctl_write" },
	{ 0x30a3bea6, "bcm_phy_read_shadow" },
	{ 0x90953d5c, "bcm_phy_write_shadow" },
	{ 0x3e687545, "__genphy_config_aneg" },
	{ 0x1b2873ba, "genphy_c37_config_aneg" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0x1d0a638f, "bcm_phy_get_wol" },
	{ 0x66e8bf99, "bcm_phy_set_wol" },
	{ 0x41063de4, "bcm_phy_get_stats" },
	{ 0xedc7e2d0, "phy_drivers_unregister" },
	{ 0x4efa194f, "phy_modify" },
	{ 0x44ca1da3, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5f40aa3a, "__mdiobus_write" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "8397B33A16ECF9F73344B67");
