#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x92123531, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x1b838847, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8b019d97, "xdp_return_frame_rx_napi" },
	{ 0x5698b861, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaf9936f3, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x760b273f, "sock_init_data_uid" },
	{ 0xc6f1fe7, "sk_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xfc25a0ff, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe34bbf0d, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8b455a5e, "skb_tstamp_tx" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x52a802c4, "skb_copy_ubufs" },
	{ 0xb2c94cf3, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xed041b7c, "___pskb_trim" },
	{ 0xd63162e5, "skb_queue_purge_reason" },
	{ 0x8dedfa1e, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc915c1a1, "xdp_rxq_info_unreg" },
	{ 0x9cad4808, "__netif_napi_del" },
	{ 0xb27a4b9f, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x16713de9, "netif_set_real_num_tx_queues" },
	{ 0xd4321dc, "netif_set_real_num_rx_queues" },
	{ 0xfcae634d, "unregister_netdevice_queue" },
	{ 0x9298c620, "netdev_state_change" },
	{ 0x60173165, "build_skb" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0xa747897, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2efc5296, "_copy_to_iter" },
	{ 0xa03d46c7, "iov_iter_advance" },
	{ 0xf2d49246, "skb_copy_datagram_iter" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb8346153, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd8d61c1a, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x963138b8, "__skb_flow_dissect" },
	{ 0x97ab58c0, "skb_partial_csum_set" },
	{ 0xc5224f14, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x7673dfe9, "xdp_rxq_info_is_reg" },
	{ 0x3912b571, "lock_sock_nested" },
	{ 0x89ceb949, "sk_attach_filter" },
	{ 0xdb2917c7, "release_sock" },
	{ 0x7c3fbbd9, "__xdp_rxq_info_reg" },
	{ 0x997074cd, "xdp_rxq_info_reg_mem_model" },
	{ 0xd846a528, "netif_napi_add_weight" },
	{ 0x4eafca7d, "napi_enable" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x671d209e, "ns_capable" },
	{ 0x9818c4f2, "get_net_ns" },
	{ 0xcf8825f0, "open_related_ns" },
	{ 0xaceeb12d, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xc381d048, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x5b370d55, "alloc_netdev_mqs" },
	{ 0x181ca15c, "ip_tunnel_header_ops" },
	{ 0x497afbe, "register_netdevice" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc48a70f6, "sk_detach_filter" },
	{ 0x71776d9c, "dev_get_mac_address" },
	{ 0xc3f151de, "dev_set_mac_address_user" },
	{ 0xbc684ef, "netdev_update_features" },
	{ 0xdf16a8ca, "make_kuid" },
	{ 0xb39f53b9, "init_user_ns" },
	{ 0xecc27fe2, "from_kuid" },
	{ 0x6d7eef05, "netif_tx_wake_queue" },
	{ 0xc195219d, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa4708ac7, "dev_addr_mod" },
	{ 0x1315597, "call_netdevice_notifiers" },
	{ 0x7b3ef346, "free_netdev" },
	{ 0xab797949, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8e7166b0, "from_kgid" },
	{ 0xeba6a2fd, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x51b95de8, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x39ae2836, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xaf2da4ad, "__folio_put" },
	{ 0x475fe88b, "__put_devmap_managed_page_refs" },
	{ 0x2e4b94e8, "_copy_from_iter" },
	{ 0x42f6a9a5, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x16d0963a, "sock_alloc_send_pskb" },
	{ 0x8e67e3cd, "zerocopy_sg_from_iter" },
	{ 0x3b33e7b9, "eth_type_trans" },
	{ 0xfea60c5c, "skb_copy_datagram_from_iter" },
	{ 0x453e0413, "do_xdp_generic" },
	{ 0xc2666da5, "iov_iter_revert" },
	{ 0x9e8e5c47, "netif_receive_skb" },
	{ 0x85c8a435, "skb_push" },
	{ 0x12d8a783, "eth_get_headlen" },
	{ 0x8ab18cbd, "napi_schedule_prep" },
	{ 0x40f6581d, "napi_gro_frags" },
	{ 0xb748604a, "napi_get_frags" },
	{ 0x90192e8e, "iov_iter_single_seg_count" },
	{ 0x6501ea0e, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2bf5a3fb, "__napi_schedule" },
	{ 0x70667dd5, "__page_frag_cache_drain" },
	{ 0xa2479b4, "passthru_features_check" },
	{ 0x189ba591, "eth_mac_addr" },
	{ 0xe68b2000, "eth_validate_addr" },
	{ 0xf8382c42, "ethtool_op_get_link" },
	{ 0xdaf1784c, "ethtool_op_get_ts_info" },
	{ 0xe5184e7a, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbe4adde7, "fasync_helper" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0x5441500c, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdbbba9c3, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6fbac1af, "netif_carrier_on" },
	{ 0x97c5f48f, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd5a43273, "nla_put" },
	{ 0x930e3037, "from_kgid_munged" },
	{ 0x9200f013, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xab90c2bf, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x560386fc, "netif_tx_stop_all_queues" },
	{ 0xb523a198, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14b9db82, "bpf_prog_get_type_dev" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x92997ed8, "_printk" },
	{ 0x89aef394, "rtnl_link_register" },
	{ 0xd207d650, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8150833a, "misc_deregister" },
	{ 0x53a9d7e7, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x64c2e45f, "xdp_return_frame" },
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x6c05592c, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2d363a75, "net_hotdata" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0xd02c163, "napi_gro_receive" },
	{ 0x34392844, "napi_complete_done" },
	{ 0x3a113024, "bpf_prog_put" },
	{ 0xdc2b75c7, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x704c87f0, "xdp_do_redirect" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd52a6d2c, "bpf_warn_invalid_xdp_action" },
	{ 0xb7e9a77d, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53EA1B7BA89C7C4426A4C9C");
