#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xb9e3aaac, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x44e32b7d, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x3747b5ee, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xa1d92a1c, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x113e519f, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x3048a181, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x80c392af, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x01e5e77c, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xc080e533, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x157a1e03, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xb5add995, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x534204fe, "netif_tx_lock" },
	{ 0x86cdb19b, "usbnet_start_xmit" },
	{ 0xe49fccd4, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0x81769cc9, "usbnet_write_cmd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xaf3aa166, "usbnet_read_cmd" },
	{ 0xe4807460, "__netdev_alloc_skb" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf2254cf9, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4b777877, "cdc_parse_cdc_header" },
	{ 0x4ea8d14c, "usb_ifnum_to_if" },
	{ 0x3f2e5f83, "usb_driver_claim_interface" },
	{ 0x66998c8e, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3bba60a9, "usbnet_get_ethernet_addr" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0xfea394f5, "__alloc_skb" },
	{ 0xcd22baf8, "usbnet_manage_power" },
	{ 0x4256e102, "usbnet_cdc_update_filter" },
	{ 0x15761e64, "usbnet_open" },
	{ 0x7b16c6, "usbnet_stop" },
	{ 0xbfccc0f1, "usbnet_set_rx_mode" },
	{ 0x189ba591, "eth_mac_addr" },
	{ 0xe68b2000, "eth_validate_addr" },
	{ 0x45a9dd30, "usbnet_tx_timeout" },
	{ 0xb523a198, "dev_get_tstats64" },
	{ 0x21e61035, "usbnet_get_drvinfo" },
	{ 0x73f77795, "usbnet_get_msglevel" },
	{ 0xb354bb7a, "usbnet_set_msglevel" },
	{ 0xdc95dbca, "usbnet_nway_reset" },
	{ 0x3e575e99, "usbnet_get_link" },
	{ 0xdaf1784c, "ethtool_op_get_ts_info" },
	{ 0x5ea666fd, "usbnet_get_link_ksettings_internal" },
	{ 0xaae41197, "usbnet_probe" },
	{ 0x7c2d354d, "usbnet_disconnect" },
	{ 0x2160a6a2, "usbnet_suspend" },
	{ 0x265b8520, "usbnet_resume" },
	{ 0x981d409, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xdabba1dc, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x23c93ddc, "usb_driver_release_interface" },
	{ 0x749c8cd4, "usb_altnum_to_altsetting" },
	{ 0xb0972eca, "__dynamic_netdev_dbg" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0x50854d20, "usbnet_link_change" },
	{ 0xbfa41fc8, "usbnet_update_max_qlen" },
	{ 0xf7529c8a, "usbnet_unlink_rx_urbs" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");
