#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xaae41197, "usbnet_probe" },
	{ 0x8f8cd2d7, "usbnet_status_start" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x65b00246, "usbnet_status_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x85c8a435, "skb_push" },
	{ 0xdabba1dc, "dev_kfree_skb_any_reason" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x39aaf506, "usb_control_msg" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50854d20, "usbnet_link_change" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x781b54f2, "usbnet_get_endpoints" },
	{ 0xa4708ac7, "dev_addr_mod" },
	{ 0x97c5f48f, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaf3aa166, "usbnet_read_cmd" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x7c2d354d, "usbnet_disconnect" },
	{ 0x2160a6a2, "usbnet_suspend" },
	{ 0x265b8520, "usbnet_resume" },
	{ 0x73f77795, "usbnet_get_msglevel" },
	{ 0xb354bb7a, "usbnet_set_msglevel" },
	{ 0xdc95dbca, "usbnet_nway_reset" },
	{ 0x6940521a, "usbnet_get_link_ksettings_mii" },
	{ 0x127f1559, "usbnet_set_link_ksettings_mii" },
	{ 0x15761e64, "usbnet_open" },
	{ 0x7b16c6, "usbnet_stop" },
	{ 0x86cdb19b, "usbnet_start_xmit" },
	{ 0x189ba591, "eth_mac_addr" },
	{ 0xe68b2000, "eth_validate_addr" },
	{ 0xc03398da, "usbnet_change_mtu" },
	{ 0x45a9dd30, "usbnet_tx_timeout" },
	{ 0xb523a198, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x176e7f04, "skb_trim" },
	{ 0xf2254cf9, "usbnet_skb_return" },
	{ 0xd81413f8, "skb_pull" },
	{ 0x399db204, "skb_clone" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb8346153, "netdev_err" },
	{ 0x21e61035, "usbnet_get_drvinfo" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0x81769cc9, "usbnet_write_cmd" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore");

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "567F64F6E12749D49C4C3A5");
