#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7925_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7925_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7925_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7925_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_regval, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt7925_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(__mt7925_start, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7925_ops, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7925_register_device, "_gpl", "");

SYMBOL_CRC(mt7925_mac_write_txwi, 0x1910d091, "_gpl");
SYMBOL_CRC(mt7925_txwi_free, 0xf751d91f, "_gpl");
SYMBOL_CRC(mt7925_rx_check, 0x55b14688, "_gpl");
SYMBOL_CRC(mt7925_queue_rx_skb, 0x979dca92, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_prepare_skb, 0x257f3dc0, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_complete_skb, 0x7f18ca5d, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_status_data, 0x59b5217e, "_gpl");
SYMBOL_CRC(mt7925_mcu_parse_response, 0x596b1166, "_gpl");
SYMBOL_CRC(mt7925_mcu_regval, 0xf25be4a7, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_deep_sleep, 0x7c49cbdd, "_gpl");
SYMBOL_CRC(mt7925_run_firmware, 0xb0f70584, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_eeprom, 0x8cc2938f, "_gpl");
SYMBOL_CRC(mt7925_mcu_hw_scan, 0x3de76911, "_gpl");
SYMBOL_CRC(mt7925_mcu_sched_scan_req, 0x3b7d5e3f, "_gpl");
SYMBOL_CRC(mt7925_mcu_cancel_hw_scan, 0xf0aa61eb, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_channel_domain, 0xfc1e61bf, "_gpl");
SYMBOL_CRC(mt7925_mcu_fill_message, 0xa6197b32, "_gpl");
SYMBOL_CRC(__mt7925_start, 0x7007d0b0, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_add, 0x3a89d291, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_assoc, 0x98d92dbc, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_remove, 0xa14cc87c, "_gpl");
SYMBOL_CRC(mt7925_ops, 0x4bbb2c08, "_gpl");
SYMBOL_CRC(mt7925_mac_init, 0xf9fa9138, "_gpl");
SYMBOL_CRC(mt7925_register_device, 0x36ce0744, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x642b48f6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0x88738e94, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d3a2268, "mt76_wcid_init" },
	{ 0xb01e44e2, "wake_up_process" },
	{ 0xe97894a8, "mt76_connac_free_pending_tx_skbs" },
	{ 0xaffde778, "mt792x_sta_statistics" },
	{ 0xd63162e5, "skb_queue_purge_reason" },
	{ 0xa4c77a85, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a370a17, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x943f9b6a, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x995f6040, "mt792x_get_et_sset_count" },
	{ 0xd3e19b12, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0xaf8ec06, "mt792x_init_acpi_sar_power" },
	{ 0x9ed04d4f, "mt792x_set_wakeup" },
	{ 0x15ace5f7, "mt76_wcid_key_setup" },
	{ 0x9fb4a278, "mt76_connac_mcu_set_gtk_rekey" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0x408b43, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x886850ba, "mt76_rx" },
	{ 0x2ab22dbd, "mt792x_load_firmware" },
	{ 0xa3c3501e, "mt792x_get_et_stats" },
	{ 0x1b86573d, "mt76_connac_mcu_uni_add_bss" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x62bc16f, "wiphy_to_ieee80211_hw" },
	{ 0x657a4e1d, "debugfs_attr_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4321511f, "mt76_tx_status_skb_done" },
	{ 0x1030d850, "ieee80211_queue_delayed_work" },
	{ 0x713537bd, "devm_kmemdup" },
	{ 0xf267b973, "devm_kfree" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0xd81413f8, "skb_pull" },
	{ 0x8356e056, "mt76_register_device" },
	{ 0x5bdbfc2e, "mt792x_get_stats" },
	{ 0x87a70906, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x6cbc34e9, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x42cf3bc7, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85c8a435, "skb_push" },
	{ 0x22bdf147, "ieee80211_wake_queues" },
	{ 0x1fb1490e, "mt76_mcu_send_and_get_msg" },
	{ 0x83e9a4fb, "ieee80211_beacon_get_template" },
	{ 0x2458e433, "mt792x_pm_stats" },
	{ 0xa53613d0, "mt76_eeprom_override" },
	{ 0xeae3f9c1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x48078971, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x972f3ab4, "mt76_connac_get_he_phy_cap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc45055ac, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xa1516334, "devm_hwmon_device_register_with_groups" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x58b910fa, "__alloc_pages" },
	{ 0xe705a071, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ac9089, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc5224f14, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x6857f641, "mt792x_tx" },
	{ 0x3b55983b, "mt792x_get_et_strings" },
	{ 0x785faa74, "mt76_sta_state" },
	{ 0x9a20e548, "ieee80211_ready_on_channel" },
	{ 0x5e827295, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xda343b51, "devm_kasprintf" },
	{ 0x558e9267, "cfg80211_reg_can_beacon" },
	{ 0x4d087b29, "mt792x_remove_interface" },
	{ 0x4101f83a, "seq_read" },
	{ 0xbaf57cb0, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1a7125c8, "mt76_connac2_mac_tx_rate_val" },
	{ 0xea5a4f2a, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x3d57a467, "mt792x_queues_read" },
	{ 0x33ccb975, "debugfs_create_file" },
	{ 0x46f6eeb8, "mt792x_queues_acq" },
	{ 0x5be23fb5, "mt76_get_rate_power_limits" },
	{ 0x93c536ee, "ieee80211_sched_scan_results" },
	{ 0x3c1d0855, "ieee80211_scan_completed" },
	{ 0x25c4a1f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x28ae53ab, "mt76_insert_ccmp_hdr" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x981d409, "param_ops_bool" },
	{ 0x82c49b6f, "mt792x_tx_stats_show" },
	{ 0x30c9a2e5, "mt76_connac_mcu_set_suspend_mode" },
	{ 0x6fe35c97, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xaf2da4ad, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xe0fd8a35, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x128b2f1, "mt76_get_sar_power" },
	{ 0x3cabd8ba, "mt76_connac_mcu_sta_he_tlv_v2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x529a1cc8, "mt792x_mac_init_band" },
	{ 0x25edcbea, "mt76_skb_adjust_pad" },
	{ 0x9f09721a, "mt76_put_txwi" },
	{ 0xcdda301c, "mt792x_init_wiphy" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0xdb890bca, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xd6565347, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb260a73a, "mt76_queues_read" },
	{ 0x92367805, "mt76_sta_pre_rcu_remove" },
	{ 0x364866c1, "mt76_register_debugfs_fops" },
	{ 0x800eca31, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xd2db4bae, "__mt76_set_tx_blocked" },
	{ 0xaa6eb8ad, "ieee80211_queue_work" },
	{ 0x4b60707d, "mt792x_mac_reset_counters" },
	{ 0xcaeeccbf, "napi_consume_skb" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x38b99413, "__mt76_poll" },
	{ 0x2788c19f, "mt76_rx_aggr_stop" },
	{ 0x8cec3ae1, "single_open" },
	{ 0xd1e63fb9, "mt792x_unassign_vif_chanctx" },
	{ 0x2dcc76a, "mt76_connac_get_phy_mode" },
	{ 0x478db2ed, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x1722570e, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0x3f2eae18, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd242183b, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0x2010d45c, "mt792x_init_wcid" },
	{ 0x9d45ec89, "mt792x_init_acpi_sar" },
	{ 0x6f3447d5, "mt76_init_sar_power" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0x57a8551c, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x11636d07, "simple_attr_open" },
	{ 0x31a4d72d, "ieee80211_iterate_interfaces" },
	{ 0x1da941e5, "mt792x_stop" },
	{ 0xb968f83c, "mt76_connac_get_ch_power" },
	{ 0x107b5d31, "debugfs_attr_write" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7497d5e1, "mt76_connac_get_phy_mode_v2" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d53eec8, "mt76_tx_status_skb_get" },
	{ 0xf70694ae, "mt792x_tx_worker" },
	{ 0x2cc22323, "mt792x_flush" },
	{ 0x18a48938, "mt76_tx_status_lock" },
	{ 0x6c1f78e6, "mt792x_rx_get_wcid" },
	{ 0x214a494c, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd3ce829b, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd17cf9a, "mt76_release_buffered_frames" },
	{ 0x3723a3d, "request_firmware" },
	{ 0xf39e43cc, "mt76_get_txpower" },
	{ 0x85f4b071, "mt76_connac_mcu_sta_uapsd" },
	{ 0xbdaf8cc1, "mt76_tx_status_skb_add" },
	{ 0x9f899a91, "mt76_connac_pm_wake" },
	{ 0xa8a32054, "mt76_get_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x9c56bf7, "mt76_wake_tx_queue" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x86d630a5, "mt76_get_antenna" },
	{ 0xadcdbc4, "mt792x_set_coverage_class" },
	{ 0x7e504f82, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xdc10e586, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x5781d422, "seq_lseek" },
	{ 0x475fe88b, "__put_devmap_managed_page_refs" },
	{ 0x63735d08, "mt76_set_stream_caps" },
	{ 0xa877e5c3, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt792x-lib,mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "32399F753FFA7C98FC44D56");
