#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc1c94fff, "ieee80211_register_hw" },
	{ 0xb4c19956, "ieee80211_emulate_change_chanctx" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xb87037fc, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57f15994, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x29741fca, "ieee80211_tx_status_irqsafe" },
	{ 0x32522571, "usb_bulk_msg" },
	{ 0x400fc8ca, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0x408b43, "skb_queue_tail" },
	{ 0x7a66534f, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x1523f1b9, "usb_free_coherent" },
	{ 0xd81413f8, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85c8a435, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x39aaf506, "usb_control_msg" },
	{ 0x22bdf147, "ieee80211_wake_queues" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3cf734e6, "ieee80211_alloc_hw_nm" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x1261e8dc, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x70dd584c, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe4807460, "__netdev_alloc_skb" },
	{ 0x5e827295, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x77f5ba86, "pv_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d212495, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x77e14e8e, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56361a06, "usb_kill_urb" },
	{ 0x2530e944, "ieee80211_beacon_get_tim" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x91e958de, "ieee80211_emulate_remove_chanctx" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x9b4f9a9a, "ieee80211_rx_irqsafe" },
	{ 0xe86be246, "usb_put_intf" },
	{ 0x11c314df, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5014f95e, "usb_free_urb" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0xbf73bb43, "usb_alloc_coherent" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x214a494c, "skb_dequeue" },
	{ 0x51ac19f1, "ieee80211_free_hw" },
	{ 0x3723a3d, "request_firmware" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x23a8696a, "regulatory_hint" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "08CC1E713D251B19867AB6A");
