#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x9a931ecc, "rt2800_mcu_request" },
	{ 0x50bebe10, "rt2800mmio_toggle_irq" },
	{ 0x26f0cde, "rt2800mmio_enable_radio" },
	{ 0xfe48a83d, "rt2x00pci_remove" },
	{ 0xe99376ce, "rt2x00pci_pm_ops" },
	{ 0x1b0719f3, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xab4fb05a, "rt2800mmio_probe_hw" },
	{ 0x2fadf56d, "rt2800_check_firmware" },
	{ 0xaa4166e1, "rt2800_load_firmware" },
	{ 0x937216a9, "rt2x00mmio_initialize" },
	{ 0x54d2c4a8, "rt2x00mmio_uninitialize" },
	{ 0x4e477958, "rt2800mmio_get_entry_state" },
	{ 0x1c38debe, "rt2800mmio_clear_entry" },
	{ 0xd8c6b494, "rt2800_rfkill_poll" },
	{ 0x5ead8798, "rt2800_link_stats" },
	{ 0xcc6b863a, "rt2800_reset_tuner" },
	{ 0x70dea600, "rt2800_link_tuner" },
	{ 0xb6e41940, "rt2800_gain_calibration" },
	{ 0x85ddf2f5, "rt2800_vco_calibration" },
	{ 0x9985c65a, "rt2800_watchdog" },
	{ 0x63954031, "rt2800mmio_start_queue" },
	{ 0xcc8393fd, "rt2800mmio_kick_queue" },
	{ 0xbcee665d, "rt2800mmio_stop_queue" },
	{ 0x2a6b8fc2, "rt2800mmio_flush_queue" },
	{ 0x47c667b1, "rt2800mmio_write_tx_desc" },
	{ 0x667cfe4, "rt2800_write_tx_data" },
	{ 0xe0629430, "rt2800_write_beacon" },
	{ 0xa0d139f6, "rt2800_clear_beacon" },
	{ 0xbb478547, "rt2800mmio_fill_rxdone" },
	{ 0xca5ae41e, "rt2800_config_shared_key" },
	{ 0x792a2dfc, "rt2800_config_pairwise_key" },
	{ 0xce129e8c, "rt2800_config_filter" },
	{ 0x813dcba4, "rt2800_config_intf" },
	{ 0xc0c9db2, "rt2800_config_erp" },
	{ 0x54c7d888, "rt2800_config_ant" },
	{ 0x11ea571, "rt2800_config" },
	{ 0x76e0cf91, "rt2800_pre_reset_hw" },
	{ 0x6e137f11, "rt2x00mmio_regbusy_read" },
	{ 0xfc884ab, "rt2800mmio_init_registers" },
	{ 0x52ba96c9, "rt2800mmio_get_txwi" },
	{ 0xc1c6b1dd, "rt2800mmio_get_dma_done" },
	{ 0x90fc6eab, "rt2x00mac_tx" },
	{ 0xddef7379, "rt2x00mac_start" },
	{ 0x64c960c0, "rt2x00mac_stop" },
	{ 0x37370ebb, "rt2x00mac_add_interface" },
	{ 0xc7e326c9, "rt2x00mac_remove_interface" },
	{ 0x9b372edb, "rt2x00mac_config" },
	{ 0x4eb3489f, "rt2x00mac_bss_info_changed" },
	{ 0x3c3c8912, "rt2x00mac_configure_filter" },
	{ 0xf89d9b8b, "rt2x00mac_set_key" },
	{ 0x8aaa589d, "rt2x00mac_sw_scan_start" },
	{ 0xe893302b, "rt2x00mac_sw_scan_complete" },
	{ 0xeea4dafc, "rt2x00mac_get_stats" },
	{ 0xcbf7696f, "rt2800_get_key_seq" },
	{ 0x29057aa4, "rt2800_set_rts_threshold" },
	{ 0x413e2e1b, "rt2800_sta_add" },
	{ 0x6aed6e25, "rt2800_sta_remove" },
	{ 0xdba59ca, "rt2800_conf_tx" },
	{ 0x360ffcd1, "rt2800_get_tsf" },
	{ 0xabed3aa3, "rt2800_ampdu_action" },
	{ 0x7204484b, "rt2800_get_survey" },
	{ 0x97eb65ab, "rt2x00mac_rfkill_poll" },
	{ 0xc904e670, "rt2x00mac_flush" },
	{ 0xf10f8314, "rt2x00mac_get_ringparam" },
	{ 0xc4c2d0cc, "rt2x00mac_tx_frames_pending" },
	{ 0x1261e8dc, "ieee80211_emulate_add_chanctx" },
	{ 0x91e958de, "ieee80211_emulate_remove_chanctx" },
	{ 0xb4c19956, "ieee80211_emulate_change_chanctx" },
	{ 0x70dd584c, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x8847fbf1, "rt2x00mac_reconfig_complete" },
	{ 0x57f15994, "ieee80211_handle_wake_tx_queue" },
	{ 0x981d409, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf3fdb10e, "__pci_register_driver" },
	{ 0xfc54b67f, "rt2x00pci_probe" },
	{ 0xf5ad65f, "rt2800_efuse_detect" },
	{ 0x5e28059d, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7889b18d, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0E9A8343572DB09B35370FF");
