#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x402ea86a, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x0cfb45ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xc200ede8, "sysfs_notify" },
	{ 0x51623e74, "__platform_create_bundle" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb6ce80a3, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcf669295, "device_create_file" },
	{ 0x8cec3ae1, "single_open" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x86f0870c, "platform_device_unregister" },
	{ 0x64bfea9e, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x9d96579b, "pci_find_bus" },
	{ 0xa61de696, "pci_bus_read_config_dword" },
	{ 0x5e43a21b, "pci_get_slot" },
	{ 0x787d763d, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x4d1b5db2, "pci_stop_and_remove_bus_device" },
	{ 0x5d85aa6c, "pci_scan_single_device" },
	{ 0x57de6bac, "pci_bus_assign_resources" },
	{ 0xb5172615, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x6180f428, "pci_hp_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x768a7376, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0xc4475b2, "backlight_device_unregister" },
	{ 0x262f00ad, "input_unregister_device" },
	{ 0xd05accbc, "led_classdev_unregister" },
	{ 0x2e8d9f1a, "debugfs_remove" },
	{ 0x4cbfdb9f, "sysfs_remove_group" },
	{ 0x6633899a, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xa761f5c3, "input_event" },
	{ 0x17b0f8ca, "wmi_get_event_data" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x71049771, "sparse_keymap_report_event" },
	{ 0x3fc7851d, "backlight_force_update" },
	{ 0x80881f8c, "led_classdev_notify_brightness_hw_changed" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x2a3fbcb2, "input_set_capability" },
	{ 0xbc3238f8, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x1207e002, "sysfs_create_group" },
	{ 0x78ddb76b, "dmi_match" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x81112bff, "input_allocate_device" },
	{ 0x8153424c, "sparse_keymap_setup" },
	{ 0x41d4485c, "input_register_device" },
	{ 0x6d5e2fc1, "input_free_device" },
	{ 0xa1516334, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3506b7c7, "led_classdev_register_ext" },
	{ 0xb7a0695d, "backlight_device_register" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0x17f7fc45, "i8042_install_filter" },
	{ 0x1c9a095c, "battery_hook_register" },
	{ 0x167f9d46, "debugfs_create_dir" },
	{ 0xe829890b, "debugfs_create_x32" },
	{ 0x33ccb975, "debugfs_create_file" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xee5e1c1d, "__pci_hp_register" },
	{ 0x5a781cee, "pci_get_device" },
	{ 0x103082d5, "pci_read_config_dword" },
	{ 0x4e439d30, "pci_write_config_dword" },
	{ 0x5781d422, "seq_lseek" },
	{ 0x4101f83a, "seq_read" },
	{ 0xd6565347, "single_release" },
	{ 0x981d409, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "CCF8588645743EAB0BA851A");
