#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xaddd313c, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xa3fd8391, "");
SYMBOL_CRC(rio_alloc_net, 0x6bf3c50c, "_gpl");
SYMBOL_CRC(rio_add_net, 0xb8832130, "_gpl");
SYMBOL_CRC(rio_free_net, 0x3eead017, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x419e81e5, "_gpl");
SYMBOL_CRC(rio_add_device, 0xad98991d, "_gpl");
SYMBOL_CRC(rio_del_device, 0x2c347195, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xb0081940, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x917bfddb, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x65dcac91, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0xce079f4a, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xe27ee294, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x55c036ff, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xee7d8eb5, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x7e81b3e1, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0xa39d4d3f, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xc4f3c579, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x5662f572, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x55c7063c, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x4ce99f29, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x2ca6e39b, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x9414103f, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0xbbd33a5d, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0xcc6ca653, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xfb2bf33c, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x0ffc9946, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x891e83db, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x45e90dca, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x11ceae18, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x748601bf, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xe9bd092e, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x09fcc583, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xf2e2f13e, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x099ca7a4, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x32a3072d, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xfe59135a, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xd6407e03, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xd2c95eea, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xf3c0d41c, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xec9c2de8, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xc45a0756, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xce4c0f64, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x8f6a5862, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x52f8af3f, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0xafd50e36, "_gpl");
SYMBOL_CRC(rio_register_mport, 0xf5fa07da, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xe7b20648, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xea77aedb, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0xf42f17c2, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x16be9412, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x9048636e, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xd1e728b0, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xf1ea79c9, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x1ac56d7c, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x891143fb, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0xedb57250, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0xa336e572, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x0ac2eec2, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x293c6ef4, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0xa9587e67, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x4986e07a, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x78f1904c, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x364f0bfa, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x3a882527, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x81952f26, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x522dbd65, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xa19254bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x241aaa6a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x833cd454, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5559cefc, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb27a4b9f, "module_put" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xca89b21d, "driver_unregister" },
	{ 0xc7eef51a, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x17bd3c98, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x386d791d, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{  0xe3731, "driver_register" },
	{ 0x4ef753c7, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x4f9ba15d, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xcd7cce5e, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd47039c3, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ccfe4aa, "device_unregister" },
	{ 0xd8ea2ecc, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e1d76a, "dma_release_channel" },
	{ 0x8967fa6a, "device_for_each_child" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA39A8CF0BA0076D2DDF66");
