#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0x92cea869, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0x15706db5, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0xa532e68c, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0x7bda7c9d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58b64c0f, "usb_autopm_put_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x845e19cb, "usb_register_driver" },
	{ 0x430e8234, "usb_submit_urb" },
	{ 0x56361a06, "usb_kill_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x14fe7319, "device_del" },
	{ 0x5559cefc, "put_device" },
	{ 0x5014f95e, "usb_free_urb" },
	{ 0xe86be246, "usb_put_intf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0xdcbe8d76, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x13b89a4a, "usb_deregister" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x8cf271f2, "auxiliary_device_init" },
	{ 0xda03adb7, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfb647a15, "acpi_dev_for_each_child" },
	{ 0x49a15b54, "set_primary_fwnode" },
	{ 0x92a3e237, "__auxiliary_device_add" },
	{ 0x7734e433, "_dev_warn" },
	{ 0xda910f76, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb87037fc, "usb_get_intf" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0x11c314df, "usb_alloc_urb" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xfe44bbc7, "usb_enable_autosuspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a5aaf01, "usb_autopm_get_interface" },
	{ 0x32522571, "usb_bulk_msg" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "083442F755A4E6D1236DBE8");
