#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3db3d7d5, "unlock_two_nondirectories" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xda7a163b, "__fscrypt_prepare_rename" },
	{ 0xcdf08296, "dquot_resume" },
	{ 0xb76f6922, "bpf_trace_run5" },
	{ 0x684a2a47, "bdev_fput" },
	{ 0x48909909, "setattr_copy" },
	{ 0x162296e0, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5068c612, "jbd2_fc_begin_commit" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xaf4830b8, "write_cache_pages" },
	{ 0xe22bdbb4, "file_update_time" },
	{ 0x4b0b677f, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x76abdb73, "fscrypt_ioctl_set_policy" },
	{ 0xb6bf3917, "set_nlink" },
	{ 0xdd37c7df, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x86097a49, "security_inode_init_security" },
	{ 0xfda0229, "seq_putc" },
	{ 0x3294ce9e, "fscrypt_decrypt_bio" },
	{ 0xa40f076d, "jbd2_journal_revoke" },
	{ 0xbd6841d4, "crc16" },
	{ 0x8e7166b0, "from_kgid" },
	{ 0x827c9dbc, "iomap_swapfile_activate" },
	{ 0xd5263820, "mb_cache_destroy" },
	{ 0x53f6b387, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8bdfc47c, "__mb_cache_entry_free" },
	{ 0xd7c4f5b3, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xda58b954, "__fscrypt_encrypt_symlink" },
	{ 0x3471205a, "folio_wait_writeback" },
	{ 0x5172ba62, "jbd2_journal_start_commit" },
	{ 0xa2a1ecb8, "bdev_freeze" },
	{ 0xb73ddcf8, "blkdev_issue_zeroout" },
	{ 0xd230e544, "__fscrypt_prepare_link" },
	{ 0xf1e046cc, "panic" },
	{ 0xc0a4fe69, "kobject_init_and_add" },
	{ 0x3bf4c8c, "crypto_shash_update" },
	{ 0x8c74b23d, "from_vfsgid" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xc50f18be, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61347034, "mb_cache_entry_delete_or_get" },
	{ 0x15c00123, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5fceaf6e, "dax_writeback_mapping_range" },
	{ 0x8a3bdd12, "jbd2_trans_will_send_data_barrier" },
	{ 0xe0fb108f, "folio_wait_stable" },
	{ 0xf8a12d7d, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf4407647, "d_obtain_alias" },
	{ 0x4955f27c, "file_modified" },
	{ 0x25b9d2c9, "posix_acl_chmod" },
	{ 0xbce46c69, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd5f2d9b2, "__bread_gfp" },
	{ 0x66195df4, "from_kprojid" },
	{ 0xa09a51c7, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x44cc946, "fscrypt_put_encryption_info" },
	{ 0xe4518351, "freezing_slow_path" },
	{ 0x22175b1, "folio_end_read" },
	{ 0x82253d0b, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b987210, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xcc55856d, "dax_layout_busy_page" },
	{ 0xb99b1c64, "iomap_bmap" },
	{ 0xc452212c, "utf8_strncasecmp" },
	{ 0x3473ee2a, "__folio_start_writeback" },
	{ 0x7b7a0713, "bpf_trace_run1" },
	{ 0x942b5741, "set_task_ioprio" },
	{ 0x9dd48d17, "folio_end_writeback" },
	{ 0x34a013e3, "fscrypt_d_revalidate" },
	{ 0xb76470a7, "jbd2_journal_dirty_metadata" },
	{ 0x90dee344, "proc_mkdir" },
	{ 0xecc27fe2, "from_kuid" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x344981b1, "jbd2_journal_try_to_free_buffers" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2b0f5fb0, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xba79f7ed, "jbd2_transaction_committed" },
	{ 0x5183702d, "iomap_fiemap" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x384b32d4, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x50b80992, "mb_cache_entry_find_first" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xdf7c20d0, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe1f8667e, "filemap_get_folios" },
	{ 0xc381d048, "make_kgid" },
	{ 0x31a22a15, "invalidate_bdev" },
	{ 0x2a4a54ef, "fscrypt_zeroout_range" },
	{ 0x1dac053b, "jbd2_journal_wipe" },
	{ 0xece784c2, "rb_first" },
	{ 0xb4d343ff, "fscrypt_drop_inode" },
	{ 0x7b9ce0d6, "wbc_account_cgroup_owner" },
	{ 0x930e3037, "from_kgid_munged" },
	{ 0x354a56af, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xa470a528, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbfae9e07, "utf8_validate" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a99b2d4, "dax_finish_sync_fault" },
	{ 0xe1d2c033, "dquot_get_dqblk" },
	{ 0x7947d2e4, "kthread_create_on_node" },
	{ 0xacd81eb3, "jbd2_inode_cache" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x116b51b1, "block_read_full_folio" },
	{ 0xdc14131e, "jbd2_fc_end_commit" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x8f54d3eb, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x1a569497, "fscrypt_free_bounce_page" },
	{ 0xa0081463, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xca89eb0f, "__dquot_alloc_space" },
	{ 0x1a322b17, "fsverity_verify_bio" },
	{ 0x8f3f8d29, "generic_encode_ino32_fh" },
	{ 0xdf28032b, "noop_direct_IO" },
	{ 0xae0852ef, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7c5093d1, "__fscrypt_inode_uses_inline_crypto" },
	{ 0x6b9efc23, "__fscrypt_prepare_readdir" },
	{ 0x5a52f695, "igrab" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x3b75f48c, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd902db, "mb_cache_entry_create" },
	{ 0xd4e8138d, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x752b0ca3, "kobject_del" },
	{ 0xb25f620f, "d_instantiate_new" },
	{ 0xf3a52972, "trace_event_buffer_reserve" },
	{ 0x6bf9f049, "__dquot_free_space" },
	{ 0x81a1eb59, "utf8_unload" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xadaad7dc, "fs_param_is_blockdev" },
	{ 0xaef986ee, "jbd2_fc_wait_bufs" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x5976e135, "generic_buffers_fsync_noflush" },
	{ 0xb39f53b9, "init_user_ns" },
	{ 0xcb9f122c, "file_path" },
	{ 0x900ecf8a, "fscrypt_ioctl_add_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xc8675522, "fscrypt_fname_disk_to_usr" },
	{ 0xd6c81aa2, "inode_set_ctime_current" },
	{ 0x6348124d, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x92e8e9ab, "fsverity_enqueue_verify_work" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xaf2da4ad, "__folio_put" },
	{ 0x4829cf6b, "fscrypt_enqueue_decrypt_work" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xdf41ffcb, "remove_proc_entry" },
	{ 0x2a602f5b, "get_tree_bdev" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbc32de9, "fscrypt_ioctl_get_policy" },
	{ 0x261d96dc, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0xbd6a8611, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2d80dbf, "find_inode_by_ino_rcu" },
	{ 0x2a2766a0, "touch_atime" },
	{ 0x7d333750, "__percpu_down_read" },
	{ 0xe41e461a, "jbd2_journal_force_commit" },
	{ 0xc990e947, "__lock_buffer" },
	{ 0x97a32ce4, "tag_pages_for_writeback" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x26897b52, "mb_cache_entry_get" },
	{ 0x6fa02f2f, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xab7ee2ab, "posix_acl_update_mode" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0xbedb638d, "__folio_lock" },
	{ 0x3333cfa7, "dquot_quota_on_mount" },
	{ 0x774f3850, "filemap_dirty_folio" },
	{ 0x5f115b46, "fs_holder_ops" },
	{ 0x69ee834f, "pagecache_get_page" },
	{ 0xb63c06e6, "blkdev_issue_flush" },
	{ 0x2fe08e45, "is_bad_inode" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x65cd7d4a, "fscrypt_set_bio_crypt_ctx" },
	{ 0x2ffc9bcf, "rcuwait_wake_up" },
	{ 0x9272d454, "dquot_mark_dquot_dirty" },
	{ 0xae231109, "fscrypt_prepare_symlink" },
	{ 0x17f425a7, "block_is_partially_uptodate" },
	{ 0x47464099, "dquot_get_next_id" },
	{ 0x17a72d52, "file_bdev" },
	{ 0xd8538421, "dquot_file_open" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xcbac5882, "generic_fh_to_parent" },
	{ 0xbdee7f76, "__fs_parse" },
	{ 0x6d6bde06, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x52faf901, "end_buffer_write_sync" },
	{ 0xa18a796c, "dget_parent" },
	{ 0x9200f013, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x2f958e9d, "proc_create_single_data" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x491575de, "inode_io_list_del" },
	{ 0x214a1547, "jbd2_journal_lock_updates" },
	{ 0xaef142b6, "filemap_write_and_wait_range" },
	{ 0x7652b375, "jbd2_journal_free_reserved" },
	{ 0x8f739239, "dquot_acquire" },
	{ 0xdaffc90, "dax_zero_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x149b878d, "generic_file_llseek_size" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7b8ac3cd, "jbd2_journal_errno" },
	{ 0x49169955, "fscrypt_prepare_new_inode" },
	{ 0xfa60fd78, "fsverity_ioctl_measure" },
	{ 0x5765955e, "fscrypt_limit_io_blocks" },
	{ 0x573ad341, "generic_write_checks" },
	{ 0x59b63c6, "dqget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4847451d, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85fb1cc0, "fscrypt_encrypt_pagecache_blocks" },
	{ 0x5f3cc76b, "fscrypt_get_symlink" },
	{ 0xef25f3c6, "dqput" },
	{ 0x356bcaa4, "dquot_quotactl_sysfile_ops" },
	{ 0x349cba85, "strchr" },
	{ 0x24af07a, "kmem_cache_alloc_lru" },
	{ 0xae06d7a1, "filemap_fault" },
	{ 0x40f3df9d, "crypto_alloc_shash" },
	{ 0xf54235fe, "dquot_writeback_dquots" },
	{ 0x4e301885, "d_invalidate" },
	{ 0x7820a2db, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x61c75eed, "dquot_get_next_dqblk" },
	{ 0x6d3694fe, "make_bad_inode" },
	{ 0x37f16254, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x435fdd85, "jbd2_wait_inode_data" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6ff595c0, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0xab0031fa, "dquot_load_quota_inode" },
	{ 0x5f21a485, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6b707f4b, "sb_min_blocksize" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x8a6bf488, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc7990555, "iomap_seek_data" },
	{ 0xb4d2e13e, "jbd2_journal_flush" },
	{ 0x830b41ae, "fscrypt_free_inode" },
	{ 0x6b76543b, "jbd2_fc_end_commit_fallback" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0xfe351ba, "fscrypt_has_permitted_context" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x4915d839, "dquot_destroy" },
	{ 0x254d1972, "iget_failed" },
	{ 0xd11c9582, "fscrypt_symlink_getattr" },
	{ 0x9e436415, "dquot_alloc" },
	{ 0x80a93eac, "fs_bio_set" },
	{ 0xab4216f3, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xee36773a, "d_path" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xac309f03, "blkdev_issue_discard" },
	{ 0xa7234dd1, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x481814c4, "mb_cache_entry_find_next" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6f2165b2, "dquot_commit" },
	{ 0x8c34b448, "truncate_inode_pages" },
	{ 0x53e53a53, "percpu_free_rwsem" },
	{ 0x3841f715, "bh_uptodate_or_lock" },
	{ 0x9902d9d1, "inode_init_owner" },
	{ 0x75537da1, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf9137f90, "setattr_prepare" },
	{ 0x20f2bce2, "vfs_fsync_range" },
	{ 0x930db0fe, "iget_locked" },
	{ 0x466b6986, "shrinker_alloc" },
	{ 0x84afb75b, "generic_set_sb_d_ops" },
	{ 0x1ee1fb3c, "fscrypt_dio_supported" },
	{ 0xe7c2023c, "clear_nlink" },
	{ 0x35aab0ac, "jbd2_complete_transaction" },
	{ 0x82e0ca59, "file_check_and_advance_wb_err" },
	{ 0x61b5817b, "filemap_flush" },
	{ 0x15ea37b0, "filemap_get_folios_tag" },
	{ 0xd3b6eaf1, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa8b7b730, "d_instantiate" },
	{ 0x4abe5647, "fsverity_ioctl_enable" },
	{ 0xc1479bd9, "pagecache_isize_extended" },
	{ 0x6d288e5d, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x139ed5f8, "blk_start_plug" },
	{ 0xdd2c169b, "mb_cache_create" },
	{ 0x17c82f97, "clear_inode" },
	{ 0x6e50b34a, "inode_to_bdi" },
	{ 0xb3bc204f, "bpf_trace_run4" },
	{ 0x4279596d, "iocb_bio_iopoll" },
	{ 0xbc38ac3b, "dquot_set_dqinfo" },
	{ 0x98dcfaae, "dquot_commit_info" },
	{ 0x46c760d7, "jbd2_journal_invalidate_folio" },
	{ 0xb5e27030, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6bca20bb, "generic_fh_to_dentry" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x85e6485e, "jbd2_submit_inode_data" },
	{ 0xf48eb314, "dquot_disable" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52daf4db, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x60b38ae0, "dquot_release" },
	{ 0x1fce3b00, "fs_param_is_string" },
	{ 0xbcde1964, "__folio_batch_release" },
	{ 0x542a3ce6, "dquot_free_inode" },
	{ 0xfc7401b5, "folio_unlock" },
	{ 0x1156ae4, "utf8_strncasecmp_folded" },
	{ 0xee776fa7, "set_blocksize" },
	{ 0x175280a, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xedda72cf, "fscrypt_parse_test_dummy_encryption" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd877dc3a, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2b742b9, "filemap_map_pages" },
	{ 0xc44a7f8c, "jbd2_journal_forget" },
	{ 0xb4c1a309, "jbd2__journal_restart" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7070b491, "try_to_writeback_inodes_sb" },
	{ 0x64f4dd11, "jbd2_journal_stop" },
	{ 0xe80d6513, "trace_raw_output_prep" },
	{ 0xc7a2e85d, "dquot_get_state" },
	{ 0xf129493a, "init_special_inode" },
	{ 0x88172502, "fscrypt_fname_siphash" },
	{ 0x838354b1, "fs_dax_get_by_bdev" },
	{ 0x228032ec, "unregister_filesystem" },
	{ 0x4773e478, "__fscrypt_prepare_setattr" },
	{ 0xa81112b7, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xff3c6080, "bpf_trace_run6" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x7451de98, "__fscrypt_prepare_lookup" },
	{ 0x27ab5975, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x64fb803f, "generic_error_remove_folio" },
	{ 0x6ca739ad, "__find_get_block" },
	{ 0x2d0f108d, "__trace_trigger_soft_disabled" },
	{ 0xe33e0779, "__block_write_begin" },
	{ 0x56311bbf, "jbd2_journal_set_triggers" },
	{ 0xc85be3d5, "inode_needs_sync" },
	{ 0xa2fafa91, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3b5290f5, "inode_query_iversion" },
	{ 0xbbe0da3c, "fscrypt_ioctl_get_key_status" },
	{ 0x66b375f3, "nop_posix_acl_access" },
	{ 0x54f47ab5, "jbd2_journal_load" },
	{ 0xaf05f07a, "nop_posix_acl_default" },
	{ 0xc3f1ca67, "d_make_root" },
	{ 0xcb2c38ea, "page_cache_ra_unbounded" },
	{ 0x7da147b9, "jbd2_journal_check_available_features" },
	{ 0x6f2c228f, "trace_event_printf" },
	{ 0xa5131f04, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x369adcbf, "__fsverity_file_open" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xebcba488, "jbd2_journal_set_features" },
	{ 0x8262a5df, "sb_set_blocksize" },
	{ 0x2914d9cb, "read_cache_folio" },
	{ 0x30293bb2, "invalidate_mapping_pages" },
	{ 0x4f960f78, "sync_filesystem" },
	{ 0xc7e9e103, "noop_dirty_folio" },
	{ 0x35b1d20b, "end_buffer_read_sync" },
	{ 0x5ebbc0ab, "block_page_mkwrite" },
	{ 0x47662bb7, "folio_redirty_for_writepage" },
	{ 0xd7987177, "utf8_load" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd77975b0, "fsnotify" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x40fec43d, "d_splice_alias" },
	{ 0x11effadd, "jbd2__journal_start" },
	{ 0x7ee658a4, "jbd2_journal_unlock_updates" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x4f43e9c3, "trace_event_raw_init" },
	{ 0xe2c15ff9, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x88278aae, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0x21c1dddc, "from_vfsuid" },
	{ 0xfa44fa08, "ihold" },
	{ 0xd72952e0, "fs_lookup_param" },
	{ 0xabfd5bde, "fsverity_verify_blocks" },
	{ 0xa3a68a77, "d_find_any_alias" },
	{ 0xc79450cd, "inode_dio_wait" },
	{ 0xc6b6b238, "jbd2_journal_get_create_access" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x58539818, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x9210f6d4, "fscrypt_mergeable_bio" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xce8ce4eb, "finish_open" },
	{ 0x649e2389, "dax_iomap_rw" },
	{ 0x1d6aae01, "jbd2_journal_init_dev" },
	{ 0xb012a291, "iput" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0xfc92b4db, "fs_param_is_enum" },
	{ 0x82158612, "fs_param_is_s32" },
	{ 0x4eebaefc, "jbd2_journal_clear_features" },
	{ 0x475fe88b, "__put_devmap_managed_page_refs" },
	{ 0x856f2cb8, "fscrypt_show_test_dummy_encryption" },
	{ 0x91204c09, "iter_file_splice_write" },
	{ 0x543cb859, "jbd2_journal_inode_ranged_wait" },
	{ 0xe348a322, "filemap_release_folio" },
	{ 0x47fe05c7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf3932313, "mb_cache_entry_wait_unused" },
	{ 0xe8829307, "remove_proc_subtree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8256a13c, "dax_iomap_fault" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa600a995, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x867dc292, "register_filesystem" },
	{ 0x4c765dff, "dquot_transfer" },
	{ 0x44fc8244, "d_tmpfile" },
	{ 0xedc85cd5, "kmem_cache_create" },
	{ 0x39d4936e, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd109536e, "bdev_thaw" },
	{ 0x7b236895, "jbd2_fc_release_bufs" },
	{ 0x52639857, "sync_inode_metadata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf17f64cc, "fscrypt_ioctl_get_policy_ex" },
	{ 0xdec9edd9, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x81be09, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x1b3cc672, "submit_bh" },
	{ 0xd097d06b, "vfs_setpos" },
	{ 0xb0e8df80, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa32b3a83, "fscrypt_decrypt_pagecache_blocks" },
	{ 0x28265088, "make_vfsuid" },
	{ 0xe6550092, "utf8_casefold" },
	{ 0xb01e44e2, "wake_up_process" },
	{ 0xa282d578, "shrinker_free" },
	{ 0x2c1cde41, "trace_event_buffer_commit" },
	{ 0xbf3847b4, "fscrypt_setup_filename" },
	{ 0x6d227604, "crypto_destroy_tfm" },
	{ 0xba3a3e6f, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xc200ede8, "sysfs_notify" },
	{ 0xebc4ccaf, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x341ae99a, "iomap_dio_rw" },
	{ 0xb44aa556, "jbd2_fc_get_buf" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xa77ed9ce, "fs_param_is_u32" },
	{ 0xec314d17, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x16ea513e, "lock_two_nondirectories" },
	{ 0x5e09591b, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x71177337, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x53bddec7, "mnt_want_write_file" },
	{ 0x65b34aa9, "unlock_new_inode" },
	{ 0x143835d4, "fsverity_ioctl_read_metadata" },
	{ 0x92997ed8, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x62de976d, "block_invalidate_folio" },
	{ 0xa012f73, "mb_cache_entry_touch" },
	{ 0x59e7876a, "buffer_migrate_folio_norefs" },
	{ 0x33f471a4, "dquot_quota_sync" },
	{ 0x84b9d32b, "make_kprojid" },
	{ 0x938189f5, "iomap_seek_hole" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x4f1c3eab, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe71dcf41, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x18545074, "fscrypt_set_context" },
	{ 0xeac9582c, "try_to_free_buffers" },
	{ 0xdf16a8ca, "make_kuid" },
	{ 0x73555e83, "create_empty_buffers" },
	{ 0x6bec2d3, "truncate_inode_pages_final" },
	{ 0x9488c1f2, "block_write_end" },
	{ 0x201db752, "d_alloc" },
	{ 0x438c176a, "sync_blockdev" },
	{ 0x90b8363e, "fs_kobj" },
	{ 0x7ff004c3, "bio_add_folio" },
	{ 0x90e86dc4, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x46ebf6a8, "sync_mapping_buffers" },
	{ 0xf8c258e2, "fscrypt_file_open" },
	{ 0xf7087dea, "generic_perform_write" },
	{ 0x9f0f0565, "dquot_initialize" },
	{ 0x22176297, "shrinker_register" },
	{ 0x596aee64, "__filemap_get_folio" },
	{ 0x7b27022b, "fscrypt_set_bio_crypt_ctx_bh" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x480f3c0a, "dquot_quota_on" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0x87bc53bf, "dquot_initialize_needed" },
	{ 0x7485d455, "kmem_cache_alloc" },
	{ 0x69b25f97, "dquot_reclaim_space_nodirty" },
	{ 0xcdd609e7, "__fsverity_prepare_setattr" },
	{ 0xc3428e4f, "get_inode_acl" },
	{ 0x209454cc, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xac920169, "fscrypt_mergeable_bio_bh" },
	{ 0x69c51bc2, "invalidate_inode_buffers" },
	{ 0x6ce79b7c, "block_commit_write" },
	{ 0x8cc893b8, "blk_finish_plug" },
	{ 0x2c117052, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xba1fa893, "submit_bio" },
	{ 0x7ad2e1b4, "mnt_drop_write_file" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa6a088b7, "fscrypt_match_name" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6a33bfe4, "jbd2_journal_force_commit_nested" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xae0e7ee7, "inode_init_once" },
	{ 0xee70fa5c, "file_write_and_wait_range" },
	{ 0x64df42db, "jbd2_journal_update_sb_errno" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x8a67da6, "dquot_claim_space_nodirty" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x863e9e6, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x46a24b1b, "__task_pid_nr_ns" },
	{ 0x995871b1, "dquot_set_dqblk" },
	{ 0x527d04b5, "bio_put" },
	{ 0xfc6ba28, "jbd2_journal_start_reserved" },
	{ 0x934ee12a, "percpu_up_write" },
	{ 0xd3419a9, "jbd2_journal_clear_err" },
	{ 0xddfae92a, "__brelse" },
	{ 0x59649362, "posix_acl_create" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4a424600, "perf_trace_run_bpf_submit" },
	{ 0xcba25f6c, "jbd2_journal_init_inode" },
	{ 0xa24de0cf, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x53d5af59, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xc73d218e, "jbd2_journal_abort" },
	{ 0x929e5734, "generic_file_read_iter" },
	{ 0x70b7412f, "jbd2_journal_blocks_per_page" },
	{ 0xe7d4cf0e, "inode_maybe_inc_iversion" },
	{ 0xc362b0e8, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x7cfc65d1, "thp_get_unmapped_area" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xd0d44625, "set_cached_acl" },
	{ 0xde140509, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x5fa5a50b, "truncate_pagecache" },
	{ 0xe87e0cad, "sync_dirty_buffer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf895819d, "init_uts_ns" },
	{ 0x60784c61, "insert_inode_locked" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "jbd2,mbcache");


MODULE_INFO(srcversion, "18A172BC7936F299446CEA5");
