#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0x05d2aa32, "");
SYMBOL_CRC(v9fs_unregister_trans, 0xf78dd685, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0xccbd4770, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xe352151a, "");
SYMBOL_CRC(p9_is_proto_dotl, 0xf54f4b7d, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x7d29129f, "");
SYMBOL_CRC(p9_show_client_options, 0x34c294d7, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x22468ee7, "");
SYMBOL_CRC(p9_req_put, 0xe4f309a9, "");
SYMBOL_CRC(p9_client_cb, 0x221e4388, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x4f77691f, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x6eeb7098, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xdc5d713e, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0xbb768f1f, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0xf8153b4a, "");
SYMBOL_CRC(p9_client_create, 0x021c7e2a, "");
SYMBOL_CRC(p9_client_destroy, 0xb1c597b7, "");
SYMBOL_CRC(p9_client_disconnect, 0x51e9e05c, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0xcb5a283b, "");
SYMBOL_CRC(p9_client_attach, 0x92696b71, "");
SYMBOL_CRC(p9_client_walk, 0xdc9aa23c, "");
SYMBOL_CRC(p9_client_open, 0x8c82ea22, "");
SYMBOL_CRC(p9_client_create_dotl, 0x07ca06d6, "");
SYMBOL_CRC(p9_client_fcreate, 0x80e0ba92, "");
SYMBOL_CRC(p9_client_symlink, 0xc9a26d4f, "");
SYMBOL_CRC(p9_client_link, 0x0406cb1f, "");
SYMBOL_CRC(p9_client_fsync, 0x852adb9f, "");
SYMBOL_CRC(p9_client_clunk, 0x9bf56a73, "");
SYMBOL_CRC(p9_client_remove, 0x8e5a4865, "");
SYMBOL_CRC(p9_client_unlinkat, 0xf0adc50f, "");
SYMBOL_CRC(p9_client_read, 0xbbff708d, "");
SYMBOL_CRC(p9_client_read_once, 0x8b9a0c29, "");
SYMBOL_CRC(p9_client_write, 0x901ef6e2, "");
SYMBOL_CRC(p9_client_stat, 0xd512235b, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xd849021e, "");
SYMBOL_CRC(p9_client_wstat, 0x86c57176, "");
SYMBOL_CRC(p9_client_setattr, 0xee764e1c, "");
SYMBOL_CRC(p9_client_statfs, 0xaa8b2c75, "");
SYMBOL_CRC(p9_client_rename, 0xf47ad237, "");
SYMBOL_CRC(p9_client_renameat, 0x056700a1, "");
SYMBOL_CRC(p9_client_xattrwalk, 0xcf7ab2e8, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0xa507cd08, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x3df0b715, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xb51d45c8, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0xc5a503f1, "");
SYMBOL_CRC(p9_client_lock_dotl, 0xc40e4baa, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x11e745f3, "");
SYMBOL_CRC(p9_client_readlink, 0x62ff1666, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0xfe1bd724, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f43e9c3, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x475fe88b, "__put_devmap_managed_page_refs" },
	{ 0x47fe05c7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xedc85cd5, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c1cde41, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdf16a8ca, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0x7485d455, "kmem_cache_alloc" },
	{ 0xb27a4b9f, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4a424600, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xde140509, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0xdd37c7df, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8e7166b0, "from_kgid" },
	{ 0x53f6b387, "trace_event_reg" },
	{ 0xddeeac73, "iov_iter_kvec" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xecc27fe2, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc381d048, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8f54d3eb, "bpf_trace_run3" },
	{ 0xf3a52972, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb39f53b9, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xaf2da4ad, "__folio_put" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x2e4b94e8, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc2666da5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xab4216f3, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xcd7cce5e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2efc5296, "_copy_to_iter" },
	{ 0xb3bc204f, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xe80d6513, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2d0f108d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6f2c228f, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1687CDECF5C77DFD7D9FC25");
