#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd887d391, "km_state_notify" },
	{ 0x671d209e, "ns_capable" },
	{ 0xaf9936f3, "sk_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9bb4c7e6, "sock_init_data" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcda0f094, "proc_create_net_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2e4b94e8, "_copy_from_iter" },
	{ 0xc2666da5, "iov_iter_revert" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xd63162e5, "skb_queue_purge_reason" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f1fe7, "sk_free" },
	{ 0x76356022, "xfrm_policy_alloc" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xbcaf2414, "xfrm_policy_destroy" },
	{ 0x8bacb179, "xfrm_policy_byid" },
	{ 0x48fa2b7, "xfrm_audit_policy_delete" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xa78ae9a4, "xfrm_state_delete" },
	{ 0x59e49103, "xfrm_audit_state_delete" },
	{ 0x758b8956, "__xfrm_state_destroy" },
	{ 0x3841eb5f, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0xac039262, "xfrm_migrate" },
	{ 0x2e680437, "xfrm_state_alloc" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xc80741, "xfrm_ealg_get_byid" },
	{ 0x754d539c, "strlen" },
	{ 0x8f5df646, "xfrm_init_state" },
	{ 0x159d4da9, "xfrm_state_update" },
	{ 0xa1524b9a, "xfrm_audit_state_add" },
	{ 0x227e993c, "xfrm_state_add" },
	{ 0x5c699441, "xfrm_aalg_get_byid" },
	{ 0x72395dc1, "xfrm_calg_get_byid" },
	{ 0xd55f7f0c, "xfrm_policy_insert" },
	{ 0xae3d14d7, "xfrm_audit_policy_add" },
	{ 0x26cb9970, "xfrm_find_acq_byseq" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xdc66912, "init_net" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x507e3f73, "xfrm_alloc_spi" },
	{ 0x5cb23995, "xfrm_find_acq" },
	{ 0x1d5c312d, "sock_no_bind" },
	{ 0x1db35790, "sock_no_connect" },
	{ 0x813b0c59, "sock_no_socketpair" },
	{ 0x5f007943, "sock_no_accept" },
	{ 0x44f94f93, "sock_no_getname" },
	{ 0x22bd9865, "datagram_poll" },
	{ 0xec6420b0, "sock_no_ioctl" },
	{ 0x1954b45, "sock_no_listen" },
	{ 0x3d7653a4, "sock_no_shutdown" },
	{ 0x439f0d89, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x919ee1bc, "proto_register" },
	{ 0xd38814f2, "register_pernet_subsys" },
	{ 0x1972404b, "sock_register" },
	{ 0x2e3bdc3c, "unregister_pernet_subsys" },
	{ 0xaa28027c, "xfrm_register_km" },
	{ 0x5015651a, "proto_unregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x399db204, "skb_clone" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xadae6c9, "sock_rfree" },
	{ 0x408b43, "skb_queue_tail" },
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0xfea394f5, "__alloc_skb" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0xd80d519, "xfrm_policy_walk" },
	{ 0xef52459c, "xfrm_policy_walk_done" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1347794f, "skb_recv_datagram" },
	{ 0xf2d49246, "skb_copy_datagram_iter" },
	{ 0xea23e1f4, "skb_free_datagram" },
	{ 0xc36f372, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xd5da45b7, "skb_copy" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0xc25ad280, "xfrm_state_walk_done" },
	{ 0xb1b7a8b, "xfrm_state_walk" },
	{ 0x2dec2331, "xfrm_state_lookup" },
	{ 0xdf41ffcb, "remove_proc_entry" },
	{ 0xafac0a87, "sock_i_ino" },
	{ 0xc7879622, "sock_i_uid" },
	{ 0x9200f013, "from_kuid_munged" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0x8815aebe, "xfrm_unregister_km" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x28e23139, "xfrm_probe_algs" },
	{ 0xa575945, "xfrm_count_pfkey_auth_supported" },
	{ 0x7a8ca627, "xfrm_count_pfkey_enc_supported" },
	{ 0xb73be794, "xfrm_ealg_get_byidx" },
	{ 0xc6b1fdbe, "xfrm_aalg_get_byidx" },
	{ 0x3208c8f1, "xfrm_policy_flush" },
	{ 0xe0d31660, "km_policy_notify" },
	{ 0x1f09127f, "xfrm_state_flush" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "5212B06BDF22C61446E6D4A");
