#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x942e6b92, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xea7c7913, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x22d0cea9, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xd3b5ead9, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x3fb5f399, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x3c8ddd07, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xf84d328b, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x4e8c8cc7, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x5d4033ae, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xae270840, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xad1f26de, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd38814f2, "register_pernet_subsys" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x2440fbc4, "seq_puts" },
	{ 0x2e3bdc3c, "unregister_pernet_subsys" },
	{ 0x8bf2d5a1, "nf_register_net_hooks" },
	{ 0xadf23e4c, "nf_unregister_net_hooks" },
	{ 0x596b37cb, "skb_ensure_writable" },
	{ 0x2c6f92e, "inet_proto_csum_replace4" },
	{ 0x8d2cddc, "ip_route_me_harder" },
	{ 0x55fc48e0, "ip_local_out" },
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x9403983c, "__nf_ip6_route" },
	{ 0x565a90d, "xfrm_lookup" },
	{ 0xb1dfb7ef, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89e23359, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xdf41ffcb, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x7a013185, "nf_ct_tmpl_alloc" },
	{ 0x683ee9b4, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xcda0f094, "proc_create_net_data" },
	{ 0x1b23233d, "nf_ct_tmpl_free" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0xfea394f5, "__alloc_skb" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x36789e61, "nf_ct_seqadj_init" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0x8e2c2bed, "ipv6_skip_exthdr" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "E9495DA612B403DC5B4B9EE");
