#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xaabb4655, "tcf_unregister_action" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x176e7f04, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x49ff3082, "flow_offload_lookup" },
	{ 0xdc66912, "init_net" },
	{ 0x4155f808, "flow_offload_refresh" },
	{ 0x84786b68, "nf_ct_acct_add" },
	{ 0xc5224f14, "__pskb_pull_tail" },
	{ 0x87c72f19, "flow_offload_teardown" },
	{ 0x77f5ba86, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0xe60ae095, "nf_conntrack_helper_put" },
	{ 0x77f0a3aa, "nf_connlabels_put" },
	{ 0x976968ab, "nf_nat_helper_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x8599986e, "tcf_idr_check_alloc" },
	{ 0xbdb4cf0a, "tcf_action_check_ctrlact" },
	{ 0xe621f080, "nf_connlabels_get" },
	{ 0x7a013185, "nf_ct_tmpl_alloc" },
	{ 0x42e35272, "nf_ct_add_helper" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x956e51c5, "tcf_action_set_ctrlact" },
	{ 0x93bde384, "tcf_chain_put_by_act" },
	{ 0xe985282a, "tcf_idr_create_from_flags" },
	{ 0xe64f8eb5, "tcf_idr_cleanup" },
	{ 0x8f2d5ac4, "tcf_idr_release" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x9819af1d, "nf_flow_table_init" },
	{ 0xab797949, "__module_get" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x20622dfe, "skb_pull_rcsum" },
	{ 0x37055201, "ipv6_find_hdr" },
	{ 0xdcf91c0d, "nf_ct_handle_fragments" },
	{ 0x31400da1, "nf_ct_skb_network_trim" },
	{ 0x4e6a8640, "nf_conntrack_in" },
	{ 0x89e23359, "skb_copy_bits" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85c8a435, "skb_push" },
	{ 0x8100fffc, "nf_ct_deliver_cached_events" },
	{ 0x8c00c614, "nf_ct_nat" },
	{ 0xba0644f, "flow_offload_alloc" },
	{ 0xb96b3b3d, "flow_offload_add" },
	{ 0xb422a887, "flow_offload_free" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x8d9d5eca, "nf_ct_helper" },
	{ 0xd66cca25, "nf_connlabels_replace" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x683ee9b4, "nf_ct_ext_add" },
	{ 0xcfa45558, "nf_ct_delete" },
	{ 0x5856f782, "__nf_ct_try_assign_helper" },
	{ 0xeb7587db, "__nf_conntrack_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5521fe66, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2257068f, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xdb80094b, "nf_flow_table_free" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb27a4b9f, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd5a43273, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xa0ecbf4d, "tcf_register_action" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "0B9305A2252938291E71825");
