#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x05a76c41, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xdf27317e, "_gpl");
SYMBOL_CRC(tls_get_record, 0xc4851e03, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x6a8a246d, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xf7ed6a45, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xfea394f5, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x504322f7, "const_pcpu_hot" },
	{ 0x4ad3ef9, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x293afa83, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xb3b44d07, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb53126cf, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4a424600, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x83be3399, "crypto_aead_encrypt" },
	{ 0x42bad057, "__SCK__tp_func_sk_data_ready" },
	{ 0xb76f6922, "bpf_trace_run5" },
	{ 0xc6f1fe7, "sk_free" },
	{ 0x8b2be8eb, "skb_store_bits" },
	{ 0x98c88a70, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x702d4456, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe1717ab1, "sk_stream_wait_memory" },
	{ 0xd5a43273, "nla_put" },
	{ 0x53f6b387, "trace_event_reg" },
	{ 0xddeeac73, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd8d61c1a, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3912b571, "lock_sock_nested" },
	{ 0x4b6f18a, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf2d49246, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7b7a0713, "bpf_trace_run1" },
	{ 0x8124603b, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2e3bdc3c, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc9f4d8ee, "sock_efree" },
	{ 0xd79d3577, "iov_iter_bvec" },
	{ 0xa1c80816, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8db06ec9, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe9b05254, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0x176e7f04, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3214669, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5cc09e94, "tcp_register_ulp" },
	{ 0x8f54d3eb, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xb2926237, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xeba6a2fd, "skb_page_frag_refill" },
	{ 0xf3a52972, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdeba6dfe, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x819f3003, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xaf2da4ad, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xdf41ffcb, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8862dfc7, "seq_printf" },
	{ 0x21fb3a0c, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x399db204, "skb_clone" },
	{ 0xd9401e82, "dst_release" },
	{ 0x2e4b94e8, "_copy_from_iter" },
	{ 0x1da7cc85, "skb_copy_header" },
	{ 0xcecbaf05, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xe0b93c40, "netdev_sk_get_lowest_dev" },
	{ 0xf9f6d62e, "sk_msg_alloc" },
	{ 0x7047a57, "kmalloc_trace" },
	{ 0x5e40d4ce, "_copy_from_iter_nocache" },
	{ 0x6b4ec294, "tcp_rate_check_app_limited" },
	{ 0x8c780630, "tcp_poll" },
	{ 0xc2666da5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xff9c4790, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb4d6e9e4, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0x42f6a9a5, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb2a57ead, "kmalloc_caches" },
	{ 0x2d638cbd, "tcp_read_done" },
	{ 0xdb2917c7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa9d1bbaf, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8ceb3c23, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb0860a92, "tcp_read_sock" },
	{ 0xb3bc204f, "bpf_trace_run4" },
	{ 0x89e23359, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7c9f1984, "sk_page_frag_refill" },
	{ 0xdebfe4f1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8617f840, "tcp_sendmsg_locked" },
	{ 0x6a15b86c, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe80d6513, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x11753756, "sk_psock_msg_verdict" },
	{ 0xff3c6080, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2d0f108d, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x6f2c228f, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x537c4369, "iov_iter_get_pages2" },
	{ 0xed041b7c, "___pskb_trim" },
	{ 0x4f43e9c3, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc79ed68, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x475fe88b, "__put_devmap_managed_page_refs" },
	{ 0x84b8e120, "clean_acked_data_enable" },
	{ 0x98068b81, "skb_splice_bits" },
	{ 0x6d7d72c3, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x73f0cc1a, "__tracepoint_sk_data_ready" },
	{ 0x38054a38, "crypto_aead_setauthsize" },
	{ 0xe28fdeb5, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xebeeded8, "sk_stream_error" },
	{ 0x3a0dffa1, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d41dc1, "sk_msg_memcopy_from_iter" },
	{ 0x82f190f, "sk_error_report" },
	{ 0xd38814f2, "register_pernet_subsys" },
	{ 0x2a5bb307, "put_cmsg" },
	{ 0xb2666d2e, "__sk_flush_backlog" },
	{ 0x2c1cde41, "trace_event_buffer_commit" },
	{ 0x6d227604, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc6eb60d6, "sk_psock_tls_strp_read" },
	{ 0x1b6ad39b, "sk_msg_clone" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3DA47AD82175CA5E5752597");
