#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_asp1_regs_for_driver_control, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xdb52e09b, "_gpl");
SYMBOL_CRC(cs35l56_init_asp1_regs_for_driver_control, 0x90161c50, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x3088d14e, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xda032afd, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x740cc4d8, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xbf66f016, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xd03e8010, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x467bf60b, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x47c7e68e, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x6788d3b2, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x91dd24a8, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x67beaa2f, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x5b3345cf, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0xe5b06afa, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0xa5fbab60, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xac372aa0, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0xca3c4e94, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x7c69484b, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0xb3077c38, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb23c474, "devm_request_threaded_irq" },
	{ 0xaebb7857, "cs_amp_get_efi_calibration_data" },
	{ 0xe8fae2a0, "regmap_raw_read" },
	{ 0xbab9577f, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9888b3d3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x921feac6, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x32fce4d3, "_dev_info" },
	{ 0x4e16cff6, "regmap_multi_reg_write_bypassed" },
	{ 0x7d76d17b, "_dev_err" },
	{ 0xa2095fea, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7734e433, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe1f31610, "regmap_read_bypassed" },
	{ 0x17bbc2c3, "regmap_read" },
	{ 0xd2146338, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbe202e88, "_dev_crit" },
	{ 0x1357648a, "regmap_update_bits_base" },
	{ 0x45494f59, "dev_err_probe" },
	{ 0x7ad35907, "regmap_multi_reg_write" },
	{ 0xc856058e, "__pm_runtime_suspend" },
	{ 0x8fd2e2a7, "regmap_register_patch" },
	{ 0xc3d40fc9, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xac45568d, "gpiod_get_value_cansleep" },
	{ 0x2cc95cc9, "regcache_cache_only" },
	{ 0xf5201a50, "regcache_sync" },
	{ 0x459c4c3c, "regmap_write" },
	{ 0x226f04d3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "6AE7866CFA6F5D3722905F8");
